﻿--[[
	Gatherer Addon for World of Warcraft(tm).
	Version: 4.4.0 (<%codename%>)
	Revision: $Id: GatherNodes.lua 1097 2013-06-15 04:00:07Z LocalizerAutoCommit $

	License:
		This program is free software; you can redistribute it and/or
		modify it under the terms of the GNU General Public License
		as published by the Free Software Foundation; either version 2
		of the License, or (at your option) any later version.

		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.

		You should have received a copy of the GNU General Public License
		along with this program(see GPL.txt); if not, write to the Free Software
		Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

	Note:
		This AddOn's source code is specifically designed to work with
		World of Warcraft's interpreted AddOn system.
		You have an implicit licence to use this AddOn with these facilities
		since that is it's designated purpose as per:
		http://www.fsf.org/licensing/licenses/gpl-faq.html#InterpreterIncompat

	Note 2:
		This file is automatically generated from data collected at
		http://www.wowhead.com/
		If you want to help contribute, please go there, get the client
		and upload your data.
		Wowhead Client: http://www.wowhead.com/?client
]]

Gatherer.Nodes = {}

local region = GetLocale();
if (region == "deDE") then -- German
	Gatherer.Nodes.Names = {
		["Kleine Thoriumader"] = 324, -- Small Thorium Vein
		["Pyrophormineralvorkommen"] = 1610, -- Incendicite Mineral Vein
		["Kupferader"] = 1731, -- Copper Vein
		["Zinnader"] = 1732, -- Tin Vein
		["Silberader"] = 1733, -- Silver Vein
		["Goldader"] = 1734, -- Gold Vein
		["Eisenvorkommen"] = 1735, -- Iron Deposit
		["Mithrilvorkommen"] = 2040, -- Mithril Deposit
		["Echtsilbervorkommen"] = 2047, -- Truesilver Deposit
		["Geringe Blutsteinablagerung"] = 2653, -- Lesser Bloodstone Deposit
		["Geringes Blutsteinvorkommen"] = 2653, -- Lesser Bloodstone Deposit
		["Schlammbedecktes Silbervorkommen"] = 73940, -- Ooze Covered Silver Vein
		["Schlammbedecktes Goldvorkommen"] = 73941, -- Ooze Covered Gold Vein
		["Schlammbedecktes Echtsilbervorkommen"] = 123309, -- Ooze Covered Truesilver Deposit
		["Schlammbedeckte Mithrilablagerung"] = 123310, -- Ooze Covered Mithril Deposit
		["Schlammbedeckte Thoriumader"] = 123848, -- Ooze Covered Thorium Vein
		["Dunkeleisenvorkommen"] = 165658, -- Dark Iron Deposit
		["Reiche Thoriumader"] = 175404, -- Rich Thorium Vein
		["Schlammbedecktes reiches Thoriumvorkommen"] = 177388, -- Ooze Covered Rich Thorium Vein
		["Teufelseisenvorkommen"] = 181555, -- Fel Iron Deposit
		["Adamantitvorkommen"] = 181556, -- Adamantite Deposit
		["Khoriumader"] = 181557, -- Khorium Vein
		["Reiches Adamantitvorkommen"] = 181569, -- Rich Adamantite Deposit
		["Netheritvorkommen"] = 185877, -- Nethercite Deposit
		["Kobaltvorkommen"] = 189978, -- Cobalt Deposit
		["Reiches Kobaltvorkommen"] = 189979, -- Rich Cobalt Deposit
		["Saronitvorkommen"] = 189980, -- Saronite Deposit
		["Reiches Saronitvorkommen"] = 189981, -- Rich Saronite Deposit
		["Titanader"] = 191133, -- Titanium Vein
		["Obsidiumvorkommen"] = 202736, -- Obsidium Deposit
		["Pyritvorkommen"] = 202737, -- Pyrite Deposit
		["Elementiumader"] = 202738, -- Elementium Vein
		["Reiches Obsidiumvorkommen"] = 202739, -- Rich Obsidium Deposit
		["Reiches Pyritvorkommen"] = 202740, -- Rich Pyrite Deposit
		["Reiche Elementiumader"] = 202741, -- Rich Elementium Vein
		["Geistereisenvorkommen"] = 209311, -- Ghost Iron Deposit
		["Kyparitvorkommen"] = 209312, -- Kyparite Deposit
		["Trilliumader"] = 209313, -- Trillium Vein
		["Reiches Geistereisenvorkommen"] = 209328, -- Rich Ghost Iron Deposit
		["Reiches Kyparitvorkommen"] = 209329, -- Rich Kyparite Deposit
		["Reiche Trilliumader"] = 209330, -- Rich Trillium Vein
		["Silberblatt"] = 1617, -- Silverleaf
		["Friedensblume"] = 1618, -- Peacebloom
		["Erdwurzel"] = 1619, -- Earthroot
		["Maguskönigskraut"] = 1620, -- Mageroyal
		["Wilddornrose"] = 1621, -- Briarthorn
		["Beulengras"] = 1622, -- Bruiseweed
		["Wildstahlblume"] = 1623, -- Wild Steelbloom
		["Königsblut"] = 1624, -- Kingsblood
		["Grabmoos"] = 1628, -- Grave Moss
		["Lebenswurz"] = 2041, -- Liferoot
		["Blassblatt"] = 2042, -- Fadeleaf
		["Khadgars Schnurrbart"] = 2043, -- Khadgar's Whisker
		["Drachenzahn"] = 2044, -- Dragon's Teeth
		["Würgetang"] = 2045, -- Stranglekelp
		["Golddorn"] = 2046, -- Goldthorn
		["Feuerblüte"] = 2866, -- Firebloom
		["Lila Lotus"] = 142140, -- Purple Lotus
		["Arthas' Tränen"] = 142141, -- Arthas' Tears
		["Sonnengras"] = 142142, -- Sungrass
		["Blindkraut"] = 142143, -- Blindweed
		["Geisterpilz"] = 142144, -- Ghost Mushroom
		["Gromsblut"] = 142145, -- Gromsblood
		["Goldener Sansam"] = 176583, -- Golden Sansam
		["Traumblatt"] = 176584, -- Dreamfoil
		["Bergsilbersalbei"] = 176586, -- Mountain Silversage
		["Trauermoos"] = 176587, -- Sorrowmoss
		["Eiskappe"] = 176588, -- Icecap
		["Schwarzer Lotus"] = 176589, -- Black Lotus
		["Blutdistel"] = 181166, -- Bloodthistle
		["Teufelsgras"] = 181270, -- Felweed
		["Traumwinde"] = 181271, -- Dreaming Glory
		["Zottelkappe"] = 181275, -- Ragveil
		["Flammenkappe"] = 181276, -- Flame Cap
		["Terozapfen"] = 181277, -- Terocone
		["Urflechte"] = 181278, -- Ancient Lichen
		["Netherblüte"] = 181279, -- Netherbloom
		["Alptraumranke"] = 181280, -- Nightmare Vine
		["Manadistel"] = 181281, -- Mana Thistle
		["Netherstaubbusch"] = 185881, -- Netherdust Bush
		["Goldklee"] = 189973, -- Goldclover
		["Tigerlilie"] = 190169, -- Tiger Lily
		["Talandras Rose"] = 190170, -- Talandra's Rose
		["Lichblüte"] = 190171, -- Lichbloom
		["Eisdorn"] = 190172, -- Icethorn
		["Gefrorenes Kraut"] = 190175, -- Frozen Herb
		["Frostlotus"] = 190176, -- Frost Lotus
		["Schlangenzunge"] = 191019, -- Adder's Tongue
		["Feuerdorn"] = 191303, -- Firethorn
		["Aschenblüte"] = 202747, -- Cinderbloom
		["Sturmwinde"] = 202748, -- Stormvine
		["Azsharas Schleier"] = 202749, -- Azshara's Veil
		["Herzblüte"] = 202750, -- Heartblossom
		["Schattenjasmin"] = 202751, -- Twilight Jasmine
		["Gertenrohr"] = 202752, -- Whiptail
		["Teepflanze"] = 209349, -- Green Tea Leaf
		["Seidenkraut"] = 209350, -- Silkweed
		["Schneelilie"] = 209351, -- Snow Lily
		["Regenmohn"] = 209353, -- Rain Poppy
		["Goldlotus"] = 209354, -- Golden Lotus
		["Narrenkappe"] = 209355, -- Fool's Cap
		["Sha-berührtes Kraut"] = 214510, -- Sha-Touched Herb
		["Versteckte Geldkassette"] = 2039, -- Hidden Strongbox
		["Riesenmuschel"] = 2744, -- Giant Clam
		["Ramponierte Truhe"] = 2843, -- Battered Chest
		["Robuste Truhe"] = 2850, -- Solid Chest
		["Wasserfass"] = 3658, -- Water Barrel
		["Fass Melonensaft"] = 3659, -- Barrel of Melon Juice
		["Rüstungskiste"] = 3660, -- Armor Crate
		["Waffenkiste"] = 3661, -- Weapon Crate
		["Nahrungsmittelkiste"] = 3662, -- Food Crate
		["Fass mit Milch"] = 3705, -- Barrel of Milk
		["Fass mit süßem Nektar"] = 3706, -- Barrel of Sweet Nectar
		["Geldkassette der Allianz"] = 3714, -- Alliance Strongbox
		["Kasten mit verschiedenen Ersatzteilen"] = 19019, -- Box of Assorted Parts
		["Verstreute Kiste"] = 28604, -- Scattered Crate
		["Große eisenbeschlagene Truhe"] = 74447, -- Large Iron Bound Chest
		["Große robuste Truhe"] = 74448, -- Large Solid Chest
		["Große ramponierte Truhe"] = 75293, -- Large Battered Chest
		["Geldkassette des Bukaniers"] = 123330, -- Buccaneer's Strongbox
		["Große mithrilbeschlagene Truhe"] = 131978, -- Large Mithril Bound Chest
		["Vorratskiste der Horde"] = 142191, -- Horde Supply Crate
		["Erdhaufen von Un'Goro"] = 157936, -- Un'Goro Dirt Pile
		["Blauer Machtkristall"] = 164658, -- Blue Power Crystal
		["Grüner Machtkristall"] = 164659, -- Green Power Crystal
		["Roter Machtkristall"] = 164660, -- Red Power Crystal
		["Gelber Machtkristall"] = 164661, -- Yellow Power Crystal
		["Gesäuberter Nachtdrache"] = 164881, -- Cleansed Night Dragon
		["Gesäuberte Liedblume"] = 164882, -- Cleansed Songflower
		["Gesäuberte Windblüte"] = 164884, -- Cleansed Windblossom
		["Blutblütensprössling"] = 164958, -- Bloodpetal Sprout
		["Gesäuberte Peitscherwurzel"] = 174622, -- Cleansed Whipper Root
		["Blut von Helden"] = 176213, -- Blood of Heroes
		["Schalentierfalle"] = 176582, -- Shellfish Trap
		["Übungsschließkassette"] = 178244, -- Practice Lockbox
		["Ramponierte Schließkiste"] = 179486, -- Battered Footlocker
		["Durchnässte Schließkiste"] = 179487, -- Waterlogged Footlocker
		["Verbeulte Schließkiste"] = 179492, -- Dented Footlocker
		["Moosbedeckte Schließkiste"] = 179493, -- Mossy Footlocker
		["Scharlachrote Schließkiste"] = 179498, -- Scarlet Footlocker
		["Grabtruhe"] = 181665, -- Burial Chest
		["Teufelseisentruhe"] = 181798, -- Fel Iron Chest
		["Schwere Teufelseisentruhe"] = 181800, -- Heavy Fel Iron Chest
		["Adamantitbeschlagene Truhe"] = 181802, -- Adamantite Bound Chest
		["Teufelsstahltruhe"] = 181804, -- Felsteel Chest
		["Glühkappe"] = 182053, -- Glowcap
		["Weidentruhe"] = 184740, -- Wicker Chest
		["Primitive Truhe"] = 184793, -- Primitive Chest
		["Robuste Teufelseisentruhe"] = 184930, -- Solid Fel Iron Chest
		["Ei der Netherschwingen"] = 185915, -- Netherwing Egg
		["Immerfrostsplitter"] = 193997, -- Everfrost Chip
		["Silberbeschlagene Schatzkiste"] = 207472, -- Silverbound Treasure Chest
		["Stabile Schatzkiste"] = 207484, -- Sturdy Treasure Chest
		["Schatzkiste der Dunkeleisenzwerge"] = 207498, -- Dark Iron Treasure Chest
		["Seidene Schatzkiste"] = 207512, -- Silken Treasure Chest
		["Schatzkiste aus Ahornholz"] = 207529, -- Maplewood Treasure Chest
		["Schatzkiste aus Runensteinen"] = 207533, -- Runestone Treasure Chest
		["Dunkle Erde"] = 210565, -- Dark Soil
		["Onyxei"] = 214945, -- Onyx Egg
		["Archäologischer trollischer Fund"] = 202655, -- Troll Archaeology Find
		["Archäologischer nachtelfischer Fund"] = 203071, -- Night Elf Archaeology Find
		["Archäologischer nerubischer Fund"] = 203078, -- Nerubian Archaeology Find
		["Archäologischer zwergischer Fund"] = 204282, -- Dwarf Archaeology Find
		["Archäologischer fossiler Fund"] = 206836, -- Fossil Archaeology Find
		["Archäologischer orcischer Fund"] = 207187, -- Orc Archaeology Find
		["Archäologischer draeneiischer Fund"] = 207188, -- Draenei Archaeology Find
		["Archäologischer Fund der Vrykul"] = 207189, -- Vrykul Archaeology Find
		["Archäologischer Fund der Tol'vir"] = 207190, -- Tol'vir Archaeology Find
		["Archäologischer pandarischer Fund"] = 211163, -- Pandaren Archaeology Find
		["Archäologischer Fund der Mogu"] = 211174, -- Mogu Archaeology Find
		["Archäologischer Fund der Mantis"] = 218950, -- Mantid Archaeology Find


		-- Missing Node Names
		["Tattered Chest"] = 2844,
	}
elseif (region == "enUS") then -- English
	Gatherer.Nodes.Names = {
		["Small Thorium Vein"] = 324,
		["Incendicite Mineral Vein"] = 1610,
		["Copper Vein"] = 1731,
		["Tin Vein"] = 1732,
		["Silver Vein"] = 1733,
		["Gold Vein"] = 1734,
		["Iron Deposit"] = 1735,
		["Mithril Deposit"] = 2040,
		["Truesilver Deposit"] = 2047,
		["Lesser Bloodstone Deposit"] = 2653,
		["Ooze Covered Silver Vein"] = 73940,
		["Ooze Covered Gold Vein"] = 73941,
		["Ooze Covered Truesilver Deposit"] = 123309,
		["Ooze Covered Mithril Deposit"] = 123310,
		["Ooze Covered Thorium Vein"] = 123848,
		["Dark Iron Deposit"] = 165658,
		["Rich Thorium Vein"] = 175404,
		["Ooze Covered Rich Thorium Vein"] = 177388,
		["Fel Iron Deposit"] = 181555,
		["Adamantite Deposit"] = 181556,
		["Khorium Vein"] = 181557,
		["Rich Adamantite Deposit"] = 181569,
		["Nethercite Deposit"] = 185877,
		["Cobalt Deposit"] = 189978,
		["Rich Cobalt Deposit"] = 189979,
		["Saronite Deposit"] = 189980,
		["Rich Saronite Deposit"] = 189981,
		["Titanium Vein"] = 191133,
		["Obsidium Deposit"] = 202736,
		["Pyrite Deposit"] = 202737,
		["Elementium Vein"] = 202738,
		["Rich Obsidium Deposit"] = 202739,
		["Rich Pyrite Deposit"] = 202740,
		["Rich Elementium Vein"] = 202741,
		["Ghost Iron Deposit"] = 209311,
		["Kyparite Deposit"] = 209312,
		["Trillium Vein"] = 209313,
		["Rich Ghost Iron Deposit"] = 209328,
		["Rich Kyparite Deposit"] = 209329,
		["Rich Trillium Vein"] = 209330,
		["Silverleaf"] = 1617,
		["Peacebloom"] = 1618,
		["Earthroot"] = 1619,
		["Mageroyal"] = 1620,
		["Briarthorn"] = 1621,
		["Bruiseweed"] = 1622,
		["Wild Steelbloom"] = 1623,
		["Kingsblood"] = 1624,
		["Grave Moss"] = 1628,
		["Liferoot"] = 2041,
		["Fadeleaf"] = 2042,
		["Khadgar's Whisker"] = 2043,
		["Dragon's Teeth"] = 2044,
		["Stranglekelp"] = 2045,
		["Goldthorn"] = 2046,
		["Firebloom"] = 2866,
		["Purple Lotus"] = 142140,
		["Arthas' Tears"] = 142141,
		["Sungrass"] = 142142,
		["Blindweed"] = 142143,
		["Ghost Mushroom"] = 142144,
		["Gromsblood"] = 142145,
		["Golden Sansam"] = 176583,
		["Dreamfoil"] = 176584,
		["Mountain Silversage"] = 176586,
		["Sorrowmoss"] = 176587,
		["Icecap"] = 176588,
		["Black Lotus"] = 176589,
		["Bloodthistle"] = 181166,
		["Felweed"] = 181270,
		["Dreaming Glory"] = 181271,
		["Ragveil"] = 181275,
		["Flame Cap"] = 181276,
		["Terocone"] = 181277,
		["Ancient Lichen"] = 181278,
		["Netherbloom"] = 181279,
		["Nightmare Vine"] = 181280,
		["Mana Thistle"] = 181281,
		["Netherdust Bush"] = 185881,
		["Goldclover"] = 189973,
		["Tiger Lily"] = 190169,
		["Talandra's Rose"] = 190170,
		["Lichbloom"] = 190171,
		["Icethorn"] = 190172,
		["Frozen Herb"] = 190175,
		["Frost Lotus"] = 190176,
		["Adder's Tongue"] = 191019,
		["Firethorn"] = 191303,
		["Cinderbloom"] = 202747,
		["Stormvine"] = 202748,
		["Azshara's Veil"] = 202749,
		["Heartblossom"] = 202750,
		["Twilight Jasmine"] = 202751,
		["Whiptail"] = 202752,
		["Green Tea Leaf"] = 209349,
		["Silkweed"] = 209350,
		["Snow Lily"] = 209351,
		["Rain Poppy"] = 209353,
		["Golden Lotus"] = 209354,
		["Fool's Cap"] = 209355,
		["Sha-Touched Herb"] = 214510,
		["Hidden Strongbox"] = 2039,
		["Giant Clam"] = 2744,
		["Battered Chest"] = 2843,
		["Tattered Chest"] = 2844,
		["Solid Chest"] = 2850,
		["Water Barrel"] = 3658,
		["Barrel of Melon Juice"] = 3659,
		["Armor Crate"] = 3660,
		["Weapon Crate"] = 3661,
		["Food Crate"] = 3662,
		["Barrel of Milk"] = 3705,
		["Barrel of Sweet Nectar"] = 3706,
		["Alliance Strongbox"] = 3714,
		["Box of Assorted Parts"] = 19019,
		["Scattered Crate"] = 28604,
		["Large Iron Bound Chest"] = 74447,
		["Large Solid Chest"] = 74448,
		["Large Battered Chest"] = 75293,
		["Buccaneer's Strongbox"] = 123330,
		["Large Mithril Bound Chest"] = 131978,
		["Horde Supply Crate"] = 142191,
		["Un'Goro Dirt Pile"] = 157936,
		["Blue Power Crystal"] = 164658,
		["Green Power Crystal"] = 164659,
		["Red Power Crystal"] = 164660,
		["Yellow Power Crystal"] = 164661,
		["Cleansed Night Dragon"] = 164881,
		["Cleansed Songflower"] = 164882,
		["Cleansed Windblossom"] = 164884,
		["Bloodpetal Sprout"] = 164958,
		["Cleansed Whipper Root"] = 174622,
		["Blood of Heroes"] = 176213,
		["Shellfish Trap"] = 176582,
		["Practice Lockbox"] = 178244,
		["Battered Footlocker"] = 179486,
		["Waterlogged Footlocker"] = 179487,
		["Dented Footlocker"] = 179492,
		["Mossy Footlocker"] = 179493,
		["Scarlet Footlocker"] = 179498,
		["Burial Chest"] = 181665,
		["Fel Iron Chest"] = 181798,
		["Heavy Fel Iron Chest"] = 181800,
		["Adamantite Bound Chest"] = 181802,
		["Felsteel Chest"] = 181804,
		["Glowcap"] = 182053,
		["Wicker Chest"] = 184740,
		["Primitive Chest"] = 184793,
		["Solid Fel Iron Chest"] = 184930,
		["Netherwing Egg"] = 185915,
		["Everfrost Chip"] = 193997,
		["Silverbound Treasure Chest"] = 207472,
		["Sturdy Treasure Chest"] = 207484,
		["Dark Iron Treasure Chest"] = 207498,
		["Silken Treasure Chest"] = 207512,
		["Maplewood Treasure Chest"] = 207529,
		["Runestone Treasure Chest"] = 207533,
		["Dark Soil"] = 210565,
		["Onyx Egg"] = 214945,
		["Troll Archaeology Find"] = 202655,
		["Night Elf Archaeology Find"] = 203071,
		["Nerubian Archaeology Find"] = 203078,
		["Dwarf Archaeology Find"] = 204282,
		["Fossil Archaeology Find"] = 206836,
		["Orc Archaeology Find"] = 207187,
		["Draenei Archaeology Find"] = 207188,
		["Vrykul Archaeology Find"] = 207189,
		["Tol'vir Archaeology Find"] = 207190,
		["Pandaren Archaeology Find"] = 211163,
		["Mogu Archaeology Find"] = 211174,
		["Mantid Archaeology Find"] = 218950,
	}
elseif (region == "esES") then -- Spanish
	Gatherer.Nodes.Names = {
		["Filón pequeño de torio"] = 324, -- Small Thorium Vein
		["Filón de incendicita"] = 1610, -- Incendicite Mineral Vein
		["Filón de cobre"] = 1731, -- Copper Vein
		["Filón de estaño"] = 1732, -- Tin Vein
		["Filón de plata"] = 1733, -- Silver Vein
		["Filón de oro"] = 1734, -- Gold Vein
		["Depósito de hierro"] = 1735, -- Iron Deposit
		["Depósito de mitril"] = 2040, -- Mithril Deposit
		["Depósito de veraplata"] = 2047, -- Truesilver Deposit
		["Depósito de sangrita inferior"] = 2653, -- Lesser Bloodstone Deposit
		["Filón de plata cubierto de moco"] = 73940, -- Ooze Covered Silver Vein
		["Filón de oro cubierto de moco"] = 73941, -- Ooze Covered Gold Vein
		["Depósito de veraplata cubierta de moco"] = 123309, -- Ooze Covered Truesilver Deposit
		["Depósito de mitril cubierto de moco"] = 123310, -- Ooze Covered Mithril Deposit
		["Filón de torio cubierto de moco"] = 123848, -- Ooze Covered Thorium Vein
		["Depósito de hierro negro"] = 165658, -- Dark Iron Deposit
		["Filón de torio enriquecido"] = 175404, -- Rich Thorium Vein
		["Filón de torio enriquecido cubierto de moco"] = 177388, -- Ooze Covered Rich Thorium Vein
		["Depósito de hierro vil"] = 181555, -- Fel Iron Deposit
		["Depósito de adamantita"] = 181556, -- Adamantite Deposit
		["Filón de korio"] = 181557, -- Khorium Vein
		["Depósito rico en adamantita"] = 181569, -- Rich Adamantite Deposit
		["Depósito de abisalita"] = 185877, -- Nethercite Deposit
		["Depósito de cobalto"] = 189978, -- Cobalt Deposit
		["Depósito de cobalto rico"] = 189979, -- Rich Cobalt Deposit
		["Depósito de saronita"] = 189980, -- Saronite Deposit
		["Depósito de saronita rico"] = 189981, -- Rich Saronite Deposit
		["Filón de titanio"] = 191133, -- Titanium Vein
		["Depósito de obsidium"] = 202736, -- Obsidium Deposit
		["Depósito de pirita"] = 202737, -- Pyrite Deposit
		["Filón de elementium"] = 202738, -- Elementium Vein
		["Depósito de obsidium rico"] = 202739, -- Rich Obsidium Deposit
		["Depósito de pirita rico"] = 202740, -- Rich Pyrite Deposit
		["Filón de elementium rico"] = 202741, -- Rich Elementium Vein
		["Depósito de hierro fantasma"] = 209311, -- Ghost Iron Deposit
		["Depósito de kyparita"] = 209312, -- Kyparite Deposit
		["Filón de trillium"] = 209313, -- Trillium Vein
		["Depósito de hierro fantasma rico"] = 209328, -- Rich Ghost Iron Deposit
		["Depósito de kyparita rico"] = 209329, -- Rich Kyparite Deposit
		["Filón de trillium enriquecido"] = 209330, -- Rich Trillium Vein
		["Hojaplata"] = 1617, -- Silverleaf
		["Flor de paz"] = 1618, -- Peacebloom
		["Raíz de tierra"] = 1619, -- Earthroot
		["Marregal"] = 1620, -- Mageroyal
		["Brezospina"] = 1621, -- Briarthorn
		["Hierba cardenal"] = 1622, -- Bruiseweed
		["Acérita salvaje"] = 1623, -- Wild Steelbloom
		["Sangrerregia"] = 1624, -- Kingsblood
		["Musgo de tumba"] = 1628, -- Grave Moss
		["Vidarraíz"] = 2041, -- Liferoot
		["Pálida"] = 2042, -- Fadeleaf
		["Mostacho de Khadgar"] = 2043, -- Khadgar's Whisker
		["Dientes de dragón"] = 2044, -- Dragon's Teeth
		["Alga estranguladora"] = 2045, -- Stranglekelp
		["Espina de oro"] = 2046, -- Goldthorn
		["Flor de fuego"] = 2866, -- Firebloom
		["Loto cárdeno"] = 142140, -- Purple Lotus
		["Lágrimas de Arthas"] = 142141, -- Arthas' Tears
		["Solea"] = 142142, -- Sungrass
		["Carolina"] = 142143, -- Blindweed
		["Champiñón fantasma"] = 142144, -- Ghost Mushroom
		["Gromsanguina"] = 142145, -- Gromsblood
		["Sansam dorado"] = 176583, -- Golden Sansam
		["Hojasueño"] = 176584, -- Dreamfoil
		["Salviargenta de montaña"] = 176586, -- Mountain Silversage
		["Musgopena"] = 176587, -- Sorrowmoss
		["Setelo"] = 176588, -- Icecap
		["Loto negro"] = 176589, -- Black Lotus
		["Cardo de sangre"] = 181166, -- Bloodthistle
		["Hierba vil"] = 181270, -- Felweed
		["Gloria de ensueño"] = 181271, -- Dreaming Glory
		["Velada"] = 181275, -- Ragveil
		["Copo de llamas"] = 181276, -- Flame Cap
		["Teropiña"] = 181277, -- Terocone
		["Liquen antiguo"] = 181278, -- Ancient Lichen
		["Flor abisal"] = 181279, -- Netherbloom
		["Vid pesadilla"] = 181280, -- Nightmare Vine
		["Cardo de maná"] = 181281, -- Mana Thistle
		["Arbusto de polvo abisal"] = 185881, -- Netherdust Bush
		["Trébol de oro"] = 189973, -- Goldclover
		["Lirio atigrado"] = 190169, -- Tiger Lily
		["Rosa de Talandra"] = 190170, -- Talandra's Rose
		["Flor exánime"] = 190171, -- Lichbloom
		["Espina de hielo"] = 190172, -- Icethorn
		["Hierba congelada"] = 190175, -- Frozen Herb
		["Loto de escarcha"] = 190176, -- Frost Lotus
		["Lengua de víboris"] = 191019, -- Adder's Tongue
		["Espino de fuego"] = 191303, -- Firethorn
		["Flor de ceniza"] = 202747, -- Cinderbloom
		["Viñaviento"] = 202748, -- Stormvine
		["Velo de Azshara"] = 202749, -- Azshara's Veil
		["Flor de corazón"] = 202750, -- Heartblossom
		["Jazmín Crepuscular"] = 202751, -- Twilight Jasmine
		["Colátigo"] = 202752, -- Whiptail
		["Hoja de té verde"] = 209349, -- Green Tea Leaf
		["Hierba sedosa"] = 209350, -- Silkweed
		["Hierbaseda"] = 209350, -- Silkweed
		["Lirio de las nieves"] = 209351, -- Snow Lily
		["Amapola de lluvia"] = 209353, -- Rain Poppy
		["Loto dorado"] = 209354, -- Golden Lotus
		["Flor del inocente"] = 209355, -- Fool's Cap
		["Seta del inocente"] = 209355, -- Fool's Cap
		["Hierba influenciada por el sha"] = 214510, -- Sha-Touched Herb
		["Caja fuerte oculta"] = 2039, -- Hidden Strongbox
		["Almeja gigante"] = 2744, -- Giant Clam
		["Cofre maltrecho"] = 2843, -- Battered Chest
		["Cofre ajado"] = 2844, -- Tattered Chest
		["Cofre macizo"] = 2850, -- Solid Chest
		["Barrica de agua"] = 3658, -- Water Barrel
		["Barrica de zumo de melón"] = 3659, -- Barrel of Melon Juice
		["Cajón de armaduras"] = 3660, -- Armor Crate
		["Cajón de armas"] = 3661, -- Weapon Crate
		["Cajón de comida"] = 3662, -- Food Crate
		["Barrica de leche"] = 3705, -- Barrel of Milk
		["Barrica de néctar dulce"] = 3706, -- Barrel of Sweet Nectar
		["Caja fuerte de la Alianza"] = 3714, -- Alliance Strongbox
		["Caja de colección de piezas"] = 19019, -- Box of Assorted Parts
		["Cajón destrozado"] = 28604, -- Scattered Crate
		["Cofre reforzado con hierro grande"] = 74447, -- Large Iron Bound Chest
		["Cofre macizo grande"] = 74448, -- Large Solid Chest
		["Cofre grande abollado"] = 75293, -- Large Battered Chest
		["Caja fuerte de bucanero"] = 123330, -- Buccaneer's Strongbox
		["Cofre reforzado con mitril grande"] = 131978, -- Large Mithril Bound Chest
		["Cajón de suministros de la Horda"] = 142191, -- Horde Supply Crate
		["Montón de porquería de Un'Goro"] = 157936, -- Un'Goro Dirt Pile
		["Cristal de poder azul"] = 164658, -- Blue Power Crystal
		["Cristal de poder verde"] = 164659, -- Green Power Crystal
		["Cristal de poder rojo"] = 164660, -- Red Power Crystal
		["Cristal de poder amarillo"] = 164661, -- Yellow Power Crystal
		["Dragón nocturno limpio"] = 164881, -- Cleansed Night Dragon
		["Melodía limpia"] = 164882, -- Cleansed Songflower
		["Flor del viento limpia"] = 164884, -- Cleansed Windblossom
		["Brote Sangrepétalo"] = 164958, -- Bloodpetal Sprout
		["Brote pétalo de sangre"] = 164958, -- Bloodpetal Sprout
		["Blancoria limpia"] = 174622, -- Cleansed Whipper Root
		["Sangre de Héroes"] = 176213, -- Blood of Heroes
		["Sangre de héroes"] = 176213, -- Blood of Heroes
		["Trampa para marisco"] = 176582, -- Shellfish Trap
		["Arcón de prácticas"] = 178244, -- Practice Lockbox
		["Baúl maltrecho"] = 179486, -- Battered Footlocker
		["Baúl con marcas de agua"] = 179487, -- Waterlogged Footlocker
		["Baúl encharcado"] = 179487, -- Waterlogged Footlocker
		["Baúl abollado"] = 179492, -- Dented Footlocker
		["Baúl mohoso"] = 179493, -- Mossy Footlocker
		["Baúl Escarlata"] = 179498, -- Scarlet Footlocker
		["Sarcófago"] = 181665, -- Burial Chest
		["Cofre de hierro vil"] = 181798, -- Fel Iron Chest
		["Cofre pesado de hierro vil"] = 181800, -- Heavy Fel Iron Chest
		["Cofre reforzado con adamantita"] = 181802, -- Adamantite Bound Chest
		["Cofre de acero vil"] = 181804, -- Felsteel Chest
		["Fluochampiñón"] = 182053, -- Glowcap
		["Cofre de mimbre"] = 184740, -- Wicker Chest
		["Cofre primitivo"] = 184793, -- Primitive Chest
		["Cofre sólido de hierro vil"] = 184930, -- Solid Fel Iron Chest
		["Huevo de Ala Abisal"] = 185915, -- Netherwing Egg
		["Esquirla de siemprescarcha"] = 193997, -- Everfrost Chip
		["Arqueta reforzada con plata"] = 207472, -- Silverbound Treasure Chest
		["Arqueta robusta"] = 207484, -- Sturdy Treasure Chest
		["Arqueta Hierro Negro"] = 207498, -- Dark Iron Treasure Chest
		["Arqueta de seda"] = 207512, -- Silken Treasure Chest
		["Arqueta de madera de arce"] = 207529, -- Maplewood Treasure Chest
		["Arqueta de piedras rúnicas"] = 207533, -- Runestone Treasure Chest
		["Tierra oscura"] = 210565, -- Dark Soil
		["Huevo de ónice"] = 214945, -- Onyx Egg
		["Hallazgo arqueológico de los trols"] = 202655, -- Troll Archaeology Find
		["Hallazgo arqueológico de los elfos de la noche"] = 203071, -- Night Elf Archaeology Find
		["Hallazgo arqueológico nerubiano"] = 203078, -- Nerubian Archaeology Find
		["Hallazgo arqueológico de los enanos"] = 204282, -- Dwarf Archaeology Find
		["Hallazgo arqueológico fósil"] = 206836, -- Fossil Archaeology Find
		["Hallazgo arqueológico de los orcos"] = 207187, -- Orc Archaeology Find
		["Hallazgo arqueológico de los draenei"] = 207188, -- Draenei Archaeology Find
		["Hallazgo arqueológico de los vrykuls"] = 207189, -- Vrykul Archaeology Find
		["Hallazgo arqueológico de los Tol'vir"] = 207190, -- Tol'vir Archaeology Find
		["Hallazgo arqueológico pandaren"] = 211163, -- Pandaren Archaeology Find
		["Hallazgo arqueológico mogu"] = 211174, -- Mogu Archaeology Find
		["Hallazgo arqueológico mántide"] = 218950, -- Mantid Archaeology Find
	}
elseif (region == "esMX") then -- Latin American Spanish (Mapped from esES)
	Gatherer.Nodes.Names = {
		["Filón pequeño de torio"] = 324, -- Small Thorium Vein
		["Filón de incendicita"] = 1610, -- Incendicite Mineral Vein
		["Filón de cobre"] = 1731, -- Copper Vein
		["Filón de estaño"] = 1732, -- Tin Vein
		["Filón de plata"] = 1733, -- Silver Vein
		["Filón de oro"] = 1734, -- Gold Vein
		["Depósito de hierro"] = 1735, -- Iron Deposit
		["Depósito de mitril"] = 2040, -- Mithril Deposit
		["Depósito de veraplata"] = 2047, -- Truesilver Deposit
		["Depósito de sangrita inferior"] = 2653, -- Lesser Bloodstone Deposit
		["Filón de plata cubierto de moco"] = 73940, -- Ooze Covered Silver Vein
		["Filón de oro cubierto de moco"] = 73941, -- Ooze Covered Gold Vein
		["Depósito de veraplata cubierta de moco"] = 123309, -- Ooze Covered Truesilver Deposit
		["Depósito de mitril cubierto de moco"] = 123310, -- Ooze Covered Mithril Deposit
		["Filón de torio cubierto de moco"] = 123848, -- Ooze Covered Thorium Vein
		["Depósito de hierro negro"] = 165658, -- Dark Iron Deposit
		["Filón de torio enriquecido"] = 175404, -- Rich Thorium Vein
		["Filón de torio enriquecido cubierto de moco"] = 177388, -- Ooze Covered Rich Thorium Vein
		["Depósito de hierro vil"] = 181555, -- Fel Iron Deposit
		["Depósito de adamantita"] = 181556, -- Adamantite Deposit
		["Filón de korio"] = 181557, -- Khorium Vein
		["Depósito rico en adamantita"] = 181569, -- Rich Adamantite Deposit
		["Depósito de abisalita"] = 185877, -- Nethercite Deposit
		["Depósito de cobalto"] = 189978, -- Cobalt Deposit
		["Depósito de cobalto rico"] = 189979, -- Rich Cobalt Deposit
		["Depósito de saronita"] = 189980, -- Saronite Deposit
		["Depósito de saronita rico"] = 189981, -- Rich Saronite Deposit
		["Filón de titanio"] = 191133, -- Titanium Vein
		["Depósito de obsidium"] = 202736, -- Obsidium Deposit
		["Depósito de pirita"] = 202737, -- Pyrite Deposit
		["Filón de elementium"] = 202738, -- Elementium Vein
		["Depósito de obsidium rico"] = 202739, -- Rich Obsidium Deposit
		["Depósito de pirita rico"] = 202740, -- Rich Pyrite Deposit
		["Filón de elementium rico"] = 202741, -- Rich Elementium Vein
		["Depósito de hierro fantasma"] = 209311, -- Ghost Iron Deposit
		["Depósito de kyparita"] = 209312, -- Kyparite Deposit
		["Filón de trillium"] = 209313, -- Trillium Vein
		["Depósito de hierro fantasma rico"] = 209328, -- Rich Ghost Iron Deposit
		["Depósito de kyparita rico"] = 209329, -- Rich Kyparite Deposit
		["Filón de trillium enriquecido"] = 209330, -- Rich Trillium Vein
		["Hojaplata"] = 1617, -- Silverleaf
		["Flor de paz"] = 1618, -- Peacebloom
		["Raíz de tierra"] = 1619, -- Earthroot
		["Marregal"] = 1620, -- Mageroyal
		["Brezospina"] = 1621, -- Briarthorn
		["Hierba cardenal"] = 1622, -- Bruiseweed
		["Acérita salvaje"] = 1623, -- Wild Steelbloom
		["Sangrerregia"] = 1624, -- Kingsblood
		["Musgo de tumba"] = 1628, -- Grave Moss
		["Vidarraíz"] = 2041, -- Liferoot
		["Pálida"] = 2042, -- Fadeleaf
		["Mostacho de Khadgar"] = 2043, -- Khadgar's Whisker
		["Dientes de dragón"] = 2044, -- Dragon's Teeth
		["Alga estranguladora"] = 2045, -- Stranglekelp
		["Espina de oro"] = 2046, -- Goldthorn
		["Flor de fuego"] = 2866, -- Firebloom
		["Loto cárdeno"] = 142140, -- Purple Lotus
		["Lágrimas de Arthas"] = 142141, -- Arthas' Tears
		["Solea"] = 142142, -- Sungrass
		["Carolina"] = 142143, -- Blindweed
		["Champiñón fantasma"] = 142144, -- Ghost Mushroom
		["Gromsanguina"] = 142145, -- Gromsblood
		["Sansam dorado"] = 176583, -- Golden Sansam
		["Hojasueño"] = 176584, -- Dreamfoil
		["Salviargenta de montaña"] = 176586, -- Mountain Silversage
		["Musgopena"] = 176587, -- Sorrowmoss
		["Setelo"] = 176588, -- Icecap
		["Loto negro"] = 176589, -- Black Lotus
		["Cardo de sangre"] = 181166, -- Bloodthistle
		["Hierba vil"] = 181270, -- Felweed
		["Gloria de ensueño"] = 181271, -- Dreaming Glory
		["Velada"] = 181275, -- Ragveil
		["Copo de llamas"] = 181276, -- Flame Cap
		["Teropiña"] = 181277, -- Terocone
		["Liquen antiguo"] = 181278, -- Ancient Lichen
		["Flor abisal"] = 181279, -- Netherbloom
		["Vid pesadilla"] = 181280, -- Nightmare Vine
		["Cardo de maná"] = 181281, -- Mana Thistle
		["Arbusto de polvo abisal"] = 185881, -- Netherdust Bush
		["Trébol de oro"] = 189973, -- Goldclover
		["Lirio atigrado"] = 190169, -- Tiger Lily
		["Rosa de Talandra"] = 190170, -- Talandra's Rose
		["Flor exánime"] = 190171, -- Lichbloom
		["Espina de hielo"] = 190172, -- Icethorn
		["Hierba congelada"] = 190175, -- Frozen Herb
		["Loto de escarcha"] = 190176, -- Frost Lotus
		["Lengua de víboris"] = 191019, -- Adder's Tongue
		["Espino de fuego"] = 191303, -- Firethorn
		["Flor de ceniza"] = 202747, -- Cinderbloom
		["Viñaviento"] = 202748, -- Stormvine
		["Velo de Azshara"] = 202749, -- Azshara's Veil
		["Flor de corazón"] = 202750, -- Heartblossom
		["Jazmín Crepuscular"] = 202751, -- Twilight Jasmine
		["Colátigo"] = 202752, -- Whiptail
		["Hoja de té verde"] = 209349, -- Green Tea Leaf
		["Hierba sedosa"] = 209350, -- Silkweed
		["Hierbaseda"] = 209350, -- Silkweed
		["Lirio de las nieves"] = 209351, -- Snow Lily
		["Amapola de lluvia"] = 209353, -- Rain Poppy
		["Loto dorado"] = 209354, -- Golden Lotus
		["Flor del inocente"] = 209355, -- Fool's Cap
		["Seta del inocente"] = 209355, -- Fool's Cap
		["Hierba influenciada por el sha"] = 214510, -- Sha-Touched Herb
		["Caja fuerte oculta"] = 2039, -- Hidden Strongbox
		["Almeja gigante"] = 2744, -- Giant Clam
		["Cofre maltrecho"] = 2843, -- Battered Chest
		["Cofre ajado"] = 2844, -- Tattered Chest
		["Cofre macizo"] = 2850, -- Solid Chest
		["Barrica de agua"] = 3658, -- Water Barrel
		["Barrica de zumo de melón"] = 3659, -- Barrel of Melon Juice
		["Cajón de armaduras"] = 3660, -- Armor Crate
		["Cajón de armas"] = 3661, -- Weapon Crate
		["Cajón de comida"] = 3662, -- Food Crate
		["Barrica de leche"] = 3705, -- Barrel of Milk
		["Barrica de néctar dulce"] = 3706, -- Barrel of Sweet Nectar
		["Caja fuerte de la Alianza"] = 3714, -- Alliance Strongbox
		["Caja de colección de piezas"] = 19019, -- Box of Assorted Parts
		["Cajón destrozado"] = 28604, -- Scattered Crate
		["Cofre reforzado con hierro grande"] = 74447, -- Large Iron Bound Chest
		["Cofre macizo grande"] = 74448, -- Large Solid Chest
		["Cofre grande abollado"] = 75293, -- Large Battered Chest
		["Caja fuerte de bucanero"] = 123330, -- Buccaneer's Strongbox
		["Cofre reforzado con mitril grande"] = 131978, -- Large Mithril Bound Chest
		["Cajón de suministros de la Horda"] = 142191, -- Horde Supply Crate
		["Montón de porquería de Un'Goro"] = 157936, -- Un'Goro Dirt Pile
		["Cristal de poder azul"] = 164658, -- Blue Power Crystal
		["Cristal de poder verde"] = 164659, -- Green Power Crystal
		["Cristal de poder rojo"] = 164660, -- Red Power Crystal
		["Cristal de poder amarillo"] = 164661, -- Yellow Power Crystal
		["Dragón nocturno limpio"] = 164881, -- Cleansed Night Dragon
		["Melodía limpia"] = 164882, -- Cleansed Songflower
		["Flor del viento limpia"] = 164884, -- Cleansed Windblossom
		["Brote Sangrepétalo"] = 164958, -- Bloodpetal Sprout
		["Brote pétalo de sangre"] = 164958, -- Bloodpetal Sprout
		["Blancoria limpia"] = 174622, -- Cleansed Whipper Root
		["Sangre de Héroes"] = 176213, -- Blood of Heroes
		["Sangre de héroes"] = 176213, -- Blood of Heroes
		["Trampa para marisco"] = 176582, -- Shellfish Trap
		["Arcón de prácticas"] = 178244, -- Practice Lockbox
		["Baúl maltrecho"] = 179486, -- Battered Footlocker
		["Baúl con marcas de agua"] = 179487, -- Waterlogged Footlocker
		["Baúl encharcado"] = 179487, -- Waterlogged Footlocker
		["Baúl abollado"] = 179492, -- Dented Footlocker
		["Baúl mohoso"] = 179493, -- Mossy Footlocker
		["Baúl Escarlata"] = 179498, -- Scarlet Footlocker
		["Sarcófago"] = 181665, -- Burial Chest
		["Cofre de hierro vil"] = 181798, -- Fel Iron Chest
		["Cofre pesado de hierro vil"] = 181800, -- Heavy Fel Iron Chest
		["Cofre reforzado con adamantita"] = 181802, -- Adamantite Bound Chest
		["Cofre de acero vil"] = 181804, -- Felsteel Chest
		["Fluochampiñón"] = 182053, -- Glowcap
		["Cofre de mimbre"] = 184740, -- Wicker Chest
		["Cofre primitivo"] = 184793, -- Primitive Chest
		["Cofre sólido de hierro vil"] = 184930, -- Solid Fel Iron Chest
		["Huevo de Ala Abisal"] = 185915, -- Netherwing Egg
		["Esquirla de siemprescarcha"] = 193997, -- Everfrost Chip
		["Arqueta reforzada con plata"] = 207472, -- Silverbound Treasure Chest
		["Arqueta robusta"] = 207484, -- Sturdy Treasure Chest
		["Arqueta Hierro Negro"] = 207498, -- Dark Iron Treasure Chest
		["Arqueta de seda"] = 207512, -- Silken Treasure Chest
		["Arqueta de madera de arce"] = 207529, -- Maplewood Treasure Chest
		["Arqueta de piedras rúnicas"] = 207533, -- Runestone Treasure Chest
		["Tierra oscura"] = 210565, -- Dark Soil
		["Huevo de ónice"] = 214945, -- Onyx Egg
		["Hallazgo arqueológico de los trols"] = 202655, -- Troll Archaeology Find
		["Hallazgo arqueológico de los elfos de la noche"] = 203071, -- Night Elf Archaeology Find
		["Hallazgo arqueológico nerubiano"] = 203078, -- Nerubian Archaeology Find
		["Hallazgo arqueológico de los enanos"] = 204282, -- Dwarf Archaeology Find
		["Hallazgo arqueológico fósil"] = 206836, -- Fossil Archaeology Find
		["Hallazgo arqueológico de los orcos"] = 207187, -- Orc Archaeology Find
		["Hallazgo arqueológico de los draenei"] = 207188, -- Draenei Archaeology Find
		["Hallazgo arqueológico de los vrykuls"] = 207189, -- Vrykul Archaeology Find
		["Hallazgo arqueológico de los Tol'vir"] = 207190, -- Tol'vir Archaeology Find
		["Hallazgo arqueológico pandaren"] = 211163, -- Pandaren Archaeology Find
		["Hallazgo arqueológico mogu"] = 211174, -- Mogu Archaeology Find
		["Hallazgo arqueológico mántide"] = 218950, -- Mantid Archaeology Find
	}
elseif (region == "frFR") then -- French
	Gatherer.Nodes.Names = {
		["Petit filon de thorium"] = 324, -- Small Thorium Vein
		["Filon d'incendicite"] = 1610, -- Incendicite Mineral Vein
		["Filon de cuivre"] = 1731, -- Copper Vein
		["Filon d'étain"] = 1732, -- Tin Vein
		["Filon d'argent"] = 1733, -- Silver Vein
		["Filon d'or"] = 1734, -- Gold Vein
		["Gisement de fer"] = 1735, -- Iron Deposit
		["Gisement de mithril"] = 2040, -- Mithril Deposit
		["Gisement de vrai-argent"] = 2047, -- Truesilver Deposit
		["Gisement de pierre de sang inférieure"] = 2653, -- Lesser Bloodstone Deposit
		["Filon d'argent couvert de limon"] = 73940, -- Ooze Covered Silver Vein
		["Filon d'or couvert de limon"] = 73941, -- Ooze Covered Gold Vein
		["Gisement de vrai-argent couvert de vase"] = 123309, -- Ooze Covered Truesilver Deposit
		["Gisement de mithril couvert de vase"] = 123310, -- Ooze Covered Mithril Deposit
		["Filon de thorium couvert de limon"] = 123848, -- Ooze Covered Thorium Vein
		["Gisement de sombrefer"] = 165658, -- Dark Iron Deposit
		["Riche filon de thorium"] = 175404, -- Rich Thorium Vein
		["Riche filon de thorium couvert de limon"] = 177388, -- Ooze Covered Rich Thorium Vein
		["Gisement de gangrefer"] = 181555, -- Fel Iron Deposit
		["Gisement d'adamantite"] = 181556, -- Adamantite Deposit
		["Filon de khorium"] = 181557, -- Khorium Vein
		["Riche gisement d'adamantite"] = 181569, -- Rich Adamantite Deposit
		["Gisement de néanticite"] = 185877, -- Nethercite Deposit
		["Gisement de cobalt"] = 189978, -- Cobalt Deposit
		["Riche gisement de cobalt"] = 189979, -- Rich Cobalt Deposit
		["Gisement de saronite"] = 189980, -- Saronite Deposit
		["Riche gisement de saronite"] = 189981, -- Rich Saronite Deposit
		["Veine de titane"] = 191133, -- Titanium Vein
		["Gisement d'obsidium"] = 202736, -- Obsidium Deposit
		["Morceau d'obsidium"] = 202736, -- Obsidium Deposit
		["Gisement de pyrite"] = 202737, -- Pyrite Deposit
		["Filon d'élémentium"] = 202738, -- Elementium Vein
		["Enorme bloc d'obsidium"] = 202739, -- Rich Obsidium Deposit
		["Riche gisement d'obsidium"] = 202739, -- Rich Obsidium Deposit
		["Riche gisement de pyrite"] = 202740, -- Rich Pyrite Deposit
		["Riche filon d'élémentium"] = 202741, -- Rich Elementium Vein
		["Gisement d’ectofer"] = 209311, -- Ghost Iron Deposit
		["Gisement de kyparite"] = 209312, -- Kyparite Deposit
		["Filon de trillium"] = 209313, -- Trillium Vein
		["Riche gisement d’ectofer"] = 209328, -- Rich Ghost Iron Deposit
		["Riche gisement de kyparite"] = 209329, -- Rich Kyparite Deposit
		["Riche filon de trillium"] = 209330, -- Rich Trillium Vein
		["Feuillargent"] = 1617, -- Silverleaf
		["Pacifique"] = 1618, -- Peacebloom
		["Terrestrine"] = 1619, -- Earthroot
		["Mage royal"] = 1620, -- Mageroyal
		["Eglantine"] = 1621, -- Briarthorn
		["Doulourante"] = 1622, -- Bruiseweed
		["Aciérite sauvage"] = 1623, -- Wild Steelbloom
		["Sang-royal"] = 1624, -- Kingsblood
		["Tombeline"] = 1628, -- Grave Moss
		["Vietérule"] = 2041, -- Liferoot
		["Pâlerette"] = 2042, -- Fadeleaf
		["Moustache de Khadgar"] = 2043, -- Khadgar's Whisker
		["Dents de dragon"] = 2044, -- Dragon's Teeth
		["Etouffante"] = 2045, -- Stranglekelp
		["Dorépine"] = 2046, -- Goldthorn
		["Fleur de feu"] = 2866, -- Firebloom
		["Lotus pourpre"] = 142140, -- Purple Lotus
		["Larmes d'Arthas"] = 142141, -- Arthas' Tears
		["Soleillette"] = 142142, -- Sungrass
		["Aveuglette"] = 142143, -- Blindweed
		["Champignon fantôme"] = 142144, -- Ghost Mushroom
		["Gromsang"] = 142145, -- Gromsblood
		["Sansam doré"] = 176583, -- Golden Sansam
		["Feuillerêve"] = 176584, -- Dreamfoil
		["Sauge-argent des montagnes"] = 176586, -- Mountain Silversage
		["Chagrinelle"] = 176587, -- Sorrowmoss
		["Chapeglace"] = 176588, -- Icecap
		["Lotus noir"] = 176589, -- Black Lotus
		["Chardon sanglant"] = 181166, -- Bloodthistle
		["Gangrelette"] = 181270, -- Felweed
		["Glaurier"] = 181271, -- Dreaming Glory
		["Voile-misère"] = 181275, -- Ragveil
		["Chapeflamme"] = 181276, -- Flame Cap
		["Terocône"] = 181277, -- Terocone
		["Lichen ancien"] = 181278, -- Ancient Lichen
		["Néantine"] = 181279, -- Netherbloom
		["Cauchemardelle"] = 181280, -- Nightmare Vine
		["Chardon de mana"] = 181281, -- Mana Thistle
		["Buisson de pruinéante"] = 185881, -- Netherdust Bush
		["Trèfle doré"] = 189973, -- Goldclover
		["Lys tigré"] = 190169, -- Tiger Lily
		["Rose de Talandra"] = 190170, -- Talandra's Rose
		["Fleur-de-liche"] = 190171, -- Lichbloom
		["Glacépine"] = 190172, -- Icethorn
		["Herbe gelée"] = 190175, -- Frozen Herb
		["Lotus givré"] = 190176, -- Frost Lotus
		["Langue de serpent"] = 191019, -- Adder's Tongue
		["Epine de feu"] = 191303, -- Firethorn
		["Cendrelle"] = 202747, -- Cinderbloom
		["Vignétincelle"] = 202748, -- Stormvine
		["Voile d'Azshara"] = 202749, -- Azshara's Veil
		["Pétale de cœur"] = 202750, -- Heartblossom
		["Jasmin crépusculaire"] = 202751, -- Twilight Jasmine
		["Fouettine"] = 202752, -- Whiptail
		["Feuille de thé vert"] = 209349, -- Green Tea Leaf
		["Herbe à soie"] = 209350, -- Silkweed
		["Lys des neiges"] = 209351, -- Snow Lily
		["Pavot de pluie"] = 209353, -- Rain Poppy
		["Lotus doré"] = 209354, -- Golden Lotus
		["Berluette"] = 209355, -- Fool's Cap
		["Plante touchée par les sha"] = 214510, -- Sha-Touched Herb
		["Coffre dissimulé"] = 2039, -- Hidden Strongbox
		["Palourde géante"] = 2744, -- Giant Clam
		["Coffre endommagé"] = 2843, -- Battered Chest
		["Coffre en morceaux"] = 2844, -- Tattered Chest
		["Coffre solide"] = 2850, -- Solid Chest
		["Baril d'eau"] = 3658, -- Water Barrel
		["Tonneau d'eau"] = 3658, -- Water Barrel
		["Tonneau de jus de melon"] = 3659, -- Barrel of Melon Juice
		["Caisse d'armures"] = 3660, -- Armor Crate
		["Caisse d'armes"] = 3661, -- Weapon Crate
		["Caisse de nourriture"] = 3662, -- Food Crate
		["Tonneau de lait"] = 3705, -- Barrel of Milk
		["Tonneau de nectar sucré"] = 3706, -- Barrel of Sweet Nectar
		["Coffre de l'Alliance"] = 3714, -- Alliance Strongbox
		["Boîte de pièces assorties"] = 19019, -- Box of Assorted Parts
		["Caisse éparpillée"] = 28604, -- Scattered Crate
		["Grand coffre cerclé de fer"] = 74447, -- Large Iron Bound Chest
		["Grand coffre solide"] = 74448, -- Large Solid Chest
		["Grand coffre endommagé"] = 75293, -- Large Battered Chest
		["Coffre du boucanier"] = 123330, -- Buccaneer's Strongbox
		["Grand coffre cerclé de mithril"] = 131978, -- Large Mithril Bound Chest
		["Caisse de ravitaillement de la Horde"] = 142191, -- Horde Supply Crate
		["Tas de poussière d'Un'Goro"] = 157936, -- Un'Goro Dirt Pile
		["Cristal de puissance bleu"] = 164658, -- Blue Power Crystal
		["Cristal de puissance vert"] = 164659, -- Green Power Crystal
		["Cristal de puissance rouge"] = 164660, -- Red Power Crystal
		["Cristal de puissance jaune"] = 164661, -- Yellow Power Crystal
		["Dragon nocturne purifié"] = 164881, -- Cleansed Night Dragon
		["Fleur-de-chant purifiée"] = 164882, -- Cleansed Songflower
		["Fleur-de-vent purifiée"] = 164884, -- Cleansed Windblossom
		["Pousse de Pétale-de-sang"] = 164958, -- Bloodpetal Sprout
		["Navetille purifiée"] = 174622, -- Cleansed Whipper Root
		["Sang des héros"] = 176213, -- Blood of Heroes
		["Casier à crustacés"] = 176582, -- Shellfish Trap
		["Coffret d'entraînement"] = 178244, -- Practice Lockbox
		["Cantine endommagée"] = 179486, -- Battered Footlocker
		["Cantine détrempée"] = 179487, -- Waterlogged Footlocker
		["Cantine abîmée"] = 179492, -- Dented Footlocker
		["Cantine moisie"] = 179493, -- Mossy Footlocker
		["Cantine écarlate"] = 179498, -- Scarlet Footlocker
		["Coffre funéraire"] = 181665, -- Burial Chest
		["Coffre en gangrefer"] = 181798, -- Fel Iron Chest
		["Coffre lourd en gangrefer"] = 181800, -- Heavy Fel Iron Chest
		["Coffre cerclé d'adamantite"] = 181802, -- Adamantite Bound Chest
		["Coffre en gangracier"] = 181804, -- Felsteel Chest
		["Chapeluisant"] = 182053, -- Glowcap
		["Coffre en osier"] = 184740, -- Wicker Chest
		["Coffre primitif"] = 184793, -- Primitive Chest
		["Coffre solide en gangrefer"] = 184930, -- Solid Fel Iron Chest
		["Œuf de l'Aile-du-Néant"] = 185915, -- Netherwing Egg
		["Morceau de permagivre"] = 193997, -- Everfrost Chip
		["Coffre lié d'argent"] = 207472, -- Silverbound Treasure Chest
		["Coffre en sombrefer"] = 207498, -- Dark Iron Treasure Chest
		["Coffre de soie"] = 207512, -- Silken Treasure Chest
		["Coffre en bois d'érable"] = 207529, -- Maplewood Treasure Chest
		["Coffre en pierre runique"] = 207533, -- Runestone Treasure Chest
		["Terre sombre"] = 210565, -- Dark Soil
		["Œuf d’onyx"] = 214945, -- Onyx Egg
		["Trouvaille archéologique trolle"] = 202655, -- Troll Archaeology Find
		["Trouvaille archéologique elfe de la nuit"] = 203071, -- Night Elf Archaeology Find
		["Objet aqir perdu"] = 203078, -- Nerubian Archaeology Find
		["Trouvaille archéologique nérubienne"] = 203078, -- Nerubian Archaeology Find
		["Trouvaille archéologique naine"] = 204282, -- Dwarf Archaeology Find
		["Trouvaille archéologique fossile"] = 206836, -- Fossil Archaeology Find
		["Trouvaille archéologique orque"] = 207187, -- Orc Archaeology Find
		["Trouvaille archéologique draeneï"] = 207188, -- Draenei Archaeology Find
		["Trouvaille archéologique vrykule"] = 207189, -- Vrykul Archaeology Find
		["Trouvaille archéologique tol'vir"] = 207190, -- Tol'vir Archaeology Find
		["Trouvaille archéologique pandarène"] = 211163, -- Pandaren Archaeology Find
		["Trouvaille archéologique mogu"] = 211174, -- Mogu Archaeology Find
		["Trouvaille archéologique mantide"] = 218950, -- Mantid Archaeology Find


		-- Missing Node Names
		["Sturdy Treasure Chest"] = 207484,
	}
elseif (region == "itIT") then -- Italian
	Gatherer.Nodes.Names = {
		["Vena Piccola di Torio"] = 324, -- Small Thorium Vein
		["Vena di Rame"] = 1731, -- Copper Vein
		["Vena di Stagno"] = 1732, -- Tin Vein
		["Vena d'Argento"] = 1733, -- Silver Vein
		["Vena d'Oro"] = 1734, -- Gold Vein
		["Deposito di Ferro"] = 1735, -- Iron Deposit
		["Deposito di Mithril"] = 2040, -- Mithril Deposit
		["Deposito di Verargento"] = 2047, -- Truesilver Deposit
		["Vena di Torio Coperta di Melma"] = 123848, -- Ooze Covered Thorium Vein
		["Vena Ricca di Torio"] = 175404, -- Rich Thorium Vein
		["Deposito di Vilferro"] = 181555, -- Fel Iron Deposit
		["Deposito di Adamantite"] = 181556, -- Adamantite Deposit
		["Vena di Korio"] = 181557, -- Khorium Vein
		["Deposito Ricco di Adamantite"] = 181569, -- Rich Adamantite Deposit
		["Deposito di Faturcite"] = 185877, -- Nethercite Deposit
		["Deposito di Cobalto"] = 189978, -- Cobalt Deposit
		["Deposito Ricco di Cobalto"] = 189979, -- Rich Cobalt Deposit
		["Deposito di Saronite"] = 189980, -- Saronite Deposit
		["Deposito Ricco di Saronite"] = 189981, -- Rich Saronite Deposit
		["Vena di Titanio"] = 191133, -- Titanium Vein
		["Deposito d'Obsidio"] = 202736, -- Obsidium Deposit
		["Deposito di Pirite"] = 202737, -- Pyrite Deposit
		["Vena d'Elementio"] = 202738, -- Elementium Vein
		["Vena Ricca d'Elementio"] = 202741, -- Rich Elementium Vein
		["Deposito di Ectoferro"] = 209311, -- Ghost Iron Deposit
		["Deposito di Kyparite"] = 209312, -- Kyparite Deposit
		["Vena di Trillio"] = 209313, -- Trillium Vein
		["Deposito Ricco di Ectoferro"] = 209328, -- Rich Ghost Iron Deposit
		["Deposito Ricco di Kyparite"] = 209329, -- Rich Kyparite Deposit
		["Vena Ricca di Trillio"] = 209330, -- Rich Trillium Vein
		["Fogliargenta"] = 1617, -- Silverleaf
		["Sbocciapace"] = 1618, -- Peacebloom
		["Bulboterro"] = 1619, -- Earthroot
		["Magareale"] = 1620, -- Mageroyal
		["Grandespina"] = 1621, -- Briarthorn
		["Erbalivida"] = 1622, -- Bruiseweed
		["Fiordiferro Selvatico"] = 1623, -- Wild Steelbloom
		["Sanguesacro"] = 1624, -- Kingsblood
		["Muschio di Tomba"] = 1628, -- Grave Moss
		["Bulbovivo"] = 2041, -- Liferoot
		["Foglia Eterea"] = 2042, -- Fadeleaf
		["Ciuffo di Khadgar"] = 2043, -- Khadgar's Whisker
		["Dente di Drago"] = 2044, -- Dragon's Teeth
		["Algatorta"] = 2045, -- Stranglekelp
		["Orospino"] = 2046, -- Goldthorn
		["Sbocciafuoco"] = 2866, -- Firebloom
		["Loto Purpureo"] = 142140, -- Purple Lotus
		["Lacrima di Arthas"] = 142141, -- Arthas' Tears
		["Erbasole"] = 142142, -- Sungrass
		["Erbacieca"] = 142143, -- Blindweed
		["Fungo Fantasma"] = 142144, -- Ghost Mushroom
		["Sangue di Grom"] = 142145, -- Gromsblood
		["Sansam Dorato"] = 176583, -- Golden Sansam
		["Foglia Onirica"] = 176584, -- Dreamfoil
		["Ramargento Montano"] = 176586, -- Mountain Silversage
		["Muschiocupo"] = 176587, -- Sorrowmoss
		["Corolla Invernale"] = 176588, -- Icecap
		["Loto Nero"] = 176589, -- Black Lotus
		["Cardosangue"] = 181166, -- Bloodthistle
		["Erbavile"] = 181270, -- Felweed
		["Gloria d'Oro"] = 181271, -- Dreaming Glory
		["Velorotto"] = 181275, -- Ragveil
		["Corolla Infernale"] = 181276, -- Flame Cap
		["Terocone"] = 181277, -- Terocone
		["Lichene Antico"] = 181278, -- Ancient Lichen
		["Fiorfatuo"] = 181279, -- Netherbloom
		["Vite dell'Incubo"] = 181280, -- Nightmare Vine
		["Cardomana"] = 181281, -- Mana Thistle
		["Cespuglio di Nubefatua"] = 185881, -- Netherdust Bush
		["Trifoglio d'Oro"] = 189973, -- Goldclover
		["Giglio Tigrato"] = 190169, -- Tiger Lily
		["Rosa di Talandra"] = 190170, -- Talandra's Rose
		["Fiore del Lich"] = 190171, -- Lichbloom
		["Gelaspina"] = 190172, -- Icethorn
		["Erba Congelata"] = 190175, -- Frozen Herb
		["Loto Gelido"] = 190176, -- Frost Lotus
		["Lingua di Vipera"] = 191019, -- Adder's Tongue
		["Ardispina"] = 191303, -- Firethorn
		["Sbocciacenere"] = 202747, -- Cinderbloom
		["Vite Tempestosa"] = 202748, -- Stormvine
		["Velo di Azshara"] = 202749, -- Azshara's Veil
		["Cuorfiorito"] = 202750, -- Heartblossom
		["Gelsomino del Crepuscolo"] = 202751, -- Twilight Jasmine
		["Frustaliana"] = 202752, -- Whiptail
		["Foglia di Tè Verde"] = 209349, -- Green Tea Leaf
		["Erbaseta"] = 209350, -- Silkweed
		["Giglio della Neve"] = 209351, -- Snow Lily
		["Papavero"] = 209353, -- Rain Poppy
		["Loto Dorato"] = 209354, -- Golden Lotus
		["Fungo del Folle"] = 209355, -- Fool's Cap
		["Erba Toccata dagli Sha"] = 214510, -- Sha-Touched Herb
		["Cristallo Energetico Blu"] = 164658, -- Blue Power Crystal
		["Cristallo Energetico Verde"] = 164659, -- Green Power Crystal
		["Cristallo Energetico Rosso"] = 164660, -- Red Power Crystal
		["Cristallo Energetico Giallo"] = 164661, -- Yellow Power Crystal
		["Germoglio Petalorosso"] = 164958, -- Bloodpetal Sprout
		["Trappola per Crostacei"] = 176582, -- Shellfish Trap
		["Scrigno di Rovinato"] = 179486, -- Battered Footlocker
		["Scrigno Fradicio"] = 179487, -- Waterlogged Footlocker
		["Uovo di Alafatua"] = 185915, -- Netherwing Egg
		["Frammento Semprefreddo"] = 193997, -- Everfrost Chip
		["Cassa del Tesoro Rinforzata in Argento"] = 207472, -- Silverbound Treasure Chest
		["Robusto Baule del Tesoro"] = 207484, -- Sturdy Treasure Chest
		["Cassa del Tesoro di Seta"] = 207512, -- Silken Treasure Chest
		["Cassa d'Acero del Tesoro"] = 207529, -- Maplewood Treasure Chest
		["Cassa del Tesoro di Pietra Runica"] = 207533, -- Runestone Treasure Chest
		["Terreno Smosso"] = 210565, -- Dark Soil
		["Scoperta Archeologica Troll"] = 202655, -- Troll Archaeology Find
		["Ritrovamento Archeologico Elfico"] = 203071, -- Night Elf Archaeology Find
		["Scoperta Archeologica Nanica"] = 204282, -- Dwarf Archaeology Find
		["Scoperta Archeologica Fossile"] = 206836, -- Fossil Archaeology Find
		["Scoperta Archeologica Orchesca"] = 207187, -- Orc Archaeology Find
		["Scoperta Archeologica Draenei"] = 207188, -- Draenei Archaeology Find
		["Scoperta Archeologica Tol'vir"] = 207190, -- Tol'vir Archaeology Find
		["Scoperta Archeologica Pandaren"] = 211163, -- Pandaren Archaeology Find
		["Scoperta Archeologica Mogu"] = 211174, -- Mogu Archaeology Find
		["Scoperta Archeologica Mantid"] = 218950, -- Mantid Archaeology Find


		-- Missing Node Names
		["Incendicite Mineral Vein"] = 1610,
		["Lesser Bloodstone Deposit"] = 2653,
		["Ooze Covered Silver Vein"] = 73940,
		["Ooze Covered Gold Vein"] = 73941,
		["Ooze Covered Truesilver Deposit"] = 123309,
		["Ooze Covered Mithril Deposit"] = 123310,
		["Dark Iron Deposit"] = 165658,
		["Ooze Covered Rich Thorium Vein"] = 177388,
		["Rich Obsidium Deposit"] = 202739,
		["Rich Pyrite Deposit"] = 202740,
		["Hidden Strongbox"] = 2039,
		["Giant Clam"] = 2744,
		["Battered Chest"] = 2843,
		["Tattered Chest"] = 2844,
		["Solid Chest"] = 2850,
		["Water Barrel"] = 3658,
		["Barrel of Melon Juice"] = 3659,
		["Armor Crate"] = 3660,
		["Weapon Crate"] = 3661,
		["Food Crate"] = 3662,
		["Barrel of Milk"] = 3705,
		["Barrel of Sweet Nectar"] = 3706,
		["Alliance Strongbox"] = 3714,
		["Box of Assorted Parts"] = 19019,
		["Scattered Crate"] = 28604,
		["Large Iron Bound Chest"] = 74447,
		["Large Solid Chest"] = 74448,
		["Large Battered Chest"] = 75293,
		["Buccaneer's Strongbox"] = 123330,
		["Large Mithril Bound Chest"] = 131978,
		["Horde Supply Crate"] = 142191,
		["Un'Goro Dirt Pile"] = 157936,
		["Cleansed Night Dragon"] = 164881,
		["Cleansed Songflower"] = 164882,
		["Cleansed Windblossom"] = 164884,
		["Cleansed Whipper Root"] = 174622,
		["Blood of Heroes"] = 176213,
		["Practice Lockbox"] = 178244,
		["Dented Footlocker"] = 179492,
		["Mossy Footlocker"] = 179493,
		["Scarlet Footlocker"] = 179498,
		["Burial Chest"] = 181665,
		["Fel Iron Chest"] = 181798,
		["Heavy Fel Iron Chest"] = 181800,
		["Adamantite Bound Chest"] = 181802,
		["Felsteel Chest"] = 181804,
		["Glowcap"] = 182053,
		["Wicker Chest"] = 184740,
		["Primitive Chest"] = 184793,
		["Solid Fel Iron Chest"] = 184930,
		["Dark Iron Treasure Chest"] = 207498,
		["Onyx Egg"] = 214945,
		["Nerubian Archaeology Find"] = 203078,
		["Vrykul Archaeology Find"] = 207189,
	}
elseif (region == "koKR") then -- Korean
	Gatherer.Nodes.Names = {
		["작은 토륨 광맥"] = 324, -- Small Thorium Vein
		["구리 광맥"] = 1731, -- Copper Vein
		["주석 광맥"] = 1732, -- Tin Vein
		["은 광맥"] = 1733, -- Silver Vein
		["금 광맥"] = 1734, -- Gold Vein
		["철 광맥"] = 1735, -- Iron Deposit
		["미스릴 광맥"] = 2040, -- Mithril Deposit
		["진은 광맥"] = 2047, -- Truesilver Deposit
		["진흙으로 덮인 토륨 광맥"] = 123848, -- Ooze Covered Thorium Vein
		["풍부한 토륨 광맥"] = 175404, -- Rich Thorium Vein
		["흑요암 광맥"] = 202736, -- Obsidium Deposit
		["황철석 광맥"] = 202737, -- Pyrite Deposit
		["엘레멘티움 광맥"] = 202738, -- Elementium Vein
		["풍부한 엘레멘티움 광맥"] = 202741, -- Rich Elementium Vein
		["유령무쇠 광맥"] = 209311, -- Ghost Iron Deposit
		["키파라이트 광맥"] = 209312, -- Kyparite Deposit
		["트릴리움 광맥"] = 209313, -- Trillium Vein
		["풍부한 유령무쇠 광맥"] = 209328, -- Rich Ghost Iron Deposit
		["풍부한 키파라이트 광맥"] = 209329, -- Rich Kyparite Deposit
		["은엽수 덤불"] = 1617, -- Silverleaf
		["평온초"] = 1618, -- Peacebloom
		["뱀뿌리"] = 1619, -- Earthroot
		["마법초"] = 1620, -- Mageroyal
		["찔레가시"] = 1621, -- Briarthorn
		["생채기풀"] = 1622, -- Bruiseweed
		["야생 철쭉"] = 1623, -- Wild Steelbloom
		["왕꽃잎풀"] = 1624, -- Kingsblood
		["무덤이끼"] = 1628, -- Grave Moss
		["생명의 뿌리"] = 2041, -- Liferoot
		["미명초잎"] = 2042, -- Fadeleaf
		["카드가의 수염"] = 2043, -- Khadgar's Whisker
		["갈래물풀"] = 2045, -- Stranglekelp
		["황금가시"] = 2046, -- Goldthorn
		["화염초 꽃잎"] = 2866, -- Firebloom
		["보라 연꽃"] = 142140, -- Purple Lotus
		["아서스의 눈물"] = 142141, -- Arthas' Tears
		["태양풀"] = 142142, -- Sungrass
		["실명초"] = 142143, -- Blindweed
		["유령버섯"] = 142144, -- Ghost Mushroom
		["그롬의 피"] = 142145, -- Gromsblood
		["황금 산삼"] = 176583, -- Golden Sansam
		["꿈풀"] = 176584, -- Dreamfoil
		["은초롱이"] = 176586, -- Mountain Silversage
		["얼음송이"] = 176588, -- Icecap
		["검은 연꽃"] = 176589, -- Black Lotus
		["피엉겅퀴"] = 181166, -- Bloodthistle
		["지옥풀"] = 181270, -- Felweed
		["꿈초롱이"] = 181271, -- Dreaming Glory
		["가림막이버섯"] = 181275, -- Ragveil
		["불꽃송이"] = 181276, -- Flame Cap
		["테로열매"] = 181277, -- Terocone
		["고대 이끼"] = 181278, -- Ancient Lichen
		["황천꽃"] = 181279, -- Netherbloom
		["악몽의 덩굴"] = 181280, -- Nightmare Vine
		["마나 엉겅퀴"] = 181281, -- Mana Thistle
		["황금토끼풀"] = 189973, -- Goldclover
		["참나리"] = 190169, -- Tiger Lily
		["탈란드라의 장미"] = 190170, -- Talandra's Rose
		["시체꽃"] = 190171, -- Lichbloom
		["얼음가시"] = 190172, -- Icethorn
		["얼어붙은 약초"] = 190175, -- Frozen Herb
		["서리 연꽃"] = 190176, -- Frost Lotus
		["얼레지 꽃"] = 191019, -- Adder's Tongue
		["재투성이꽃"] = 202747, -- Cinderbloom
		["폭풍덩굴"] = 202748, -- Stormvine
		["아즈샤라의 신비"] = 202749, -- Azshara's Veil
		["심장꽃"] = 202750, -- Heartblossom
		["황혼의 말리꽃"] = 202751, -- Twilight Jasmine
		["채찍꼬리"] = 202752, -- Whiptail
		["녹차 잎"] = 209349, -- Green Tea Leaf
		["비단풀"] = 209350, -- Silkweed
		["눈 백합"] = 209351, -- Snow Lily
		["빗방울 백일홍"] = 209353, -- Rain Poppy
		["황금 연꽃"] = 209354, -- Golden Lotus
		["멍텅구리 모자 버섯"] = 209355, -- Fool's Cap
		["샤에 물든 약초"] = 214510, -- Sha-Touched Herb
		["푸른 마력의 수정"] = 164658, -- Blue Power Crystal
		["녹색 마력의 수정"] = 164659, -- Green Power Crystal
		["붉은 마력의 수정"] = 164660, -- Red Power Crystal
		["노란 마력의 수정"] = 164661, -- Yellow Power Crystal
		["붉은꽃잎덩굴손 씨눈"] = 164958, -- Bloodpetal Sprout
		["가재 통발"] = 176582, -- Shellfish Trap
		["은제 보물 상자"] = 207472, -- Silverbound Treasure Chest
		["튼튼한 보물 상자"] = 207484, -- Sturdy Treasure Chest
		["단풍나무 보물 상자"] = 207529, -- Maplewood Treasure Chest
		["검은 토양"] = 210565, -- Dark Soil
		["판다렌 고고학 발굴품"] = 211163, -- Pandaren Archaeology Find
		["모구 고고학 발굴품"] = 211174, -- Mogu Archaeology Find
		["사마귀 고고학 발굴품"] = 218950, -- Mantid Archaeology Find


		-- Missing Node Names
		["Incendicite Mineral Vein"] = 1610,
		["Lesser Bloodstone Deposit"] = 2653,
		["Ooze Covered Silver Vein"] = 73940,
		["Ooze Covered Gold Vein"] = 73941,
		["Ooze Covered Truesilver Deposit"] = 123309,
		["Ooze Covered Mithril Deposit"] = 123310,
		["Dark Iron Deposit"] = 165658,
		["Ooze Covered Rich Thorium Vein"] = 177388,
		["Fel Iron Deposit"] = 181555,
		["Adamantite Deposit"] = 181556,
		["Khorium Vein"] = 181557,
		["Rich Adamantite Deposit"] = 181569,
		["Nethercite Deposit"] = 185877,
		["Cobalt Deposit"] = 189978,
		["Rich Cobalt Deposit"] = 189979,
		["Saronite Deposit"] = 189980,
		["Rich Saronite Deposit"] = 189981,
		["Titanium Vein"] = 191133,
		["Rich Obsidium Deposit"] = 202739,
		["Rich Pyrite Deposit"] = 202740,
		["Rich Trillium Vein"] = 209330,
		["Dragon's Teeth"] = 2044,
		["Sorrowmoss"] = 176587,
		["Netherdust Bush"] = 185881,
		["Firethorn"] = 191303,
		["Hidden Strongbox"] = 2039,
		["Giant Clam"] = 2744,
		["Battered Chest"] = 2843,
		["Tattered Chest"] = 2844,
		["Solid Chest"] = 2850,
		["Water Barrel"] = 3658,
		["Barrel of Melon Juice"] = 3659,
		["Armor Crate"] = 3660,
		["Weapon Crate"] = 3661,
		["Food Crate"] = 3662,
		["Barrel of Milk"] = 3705,
		["Barrel of Sweet Nectar"] = 3706,
		["Alliance Strongbox"] = 3714,
		["Box of Assorted Parts"] = 19019,
		["Scattered Crate"] = 28604,
		["Large Iron Bound Chest"] = 74447,
		["Large Solid Chest"] = 74448,
		["Large Battered Chest"] = 75293,
		["Buccaneer's Strongbox"] = 123330,
		["Large Mithril Bound Chest"] = 131978,
		["Horde Supply Crate"] = 142191,
		["Un'Goro Dirt Pile"] = 157936,
		["Cleansed Night Dragon"] = 164881,
		["Cleansed Songflower"] = 164882,
		["Cleansed Windblossom"] = 164884,
		["Cleansed Whipper Root"] = 174622,
		["Blood of Heroes"] = 176213,
		["Practice Lockbox"] = 178244,
		["Battered Footlocker"] = 179486,
		["Waterlogged Footlocker"] = 179487,
		["Dented Footlocker"] = 179492,
		["Mossy Footlocker"] = 179493,
		["Scarlet Footlocker"] = 179498,
		["Burial Chest"] = 181665,
		["Fel Iron Chest"] = 181798,
		["Heavy Fel Iron Chest"] = 181800,
		["Adamantite Bound Chest"] = 181802,
		["Felsteel Chest"] = 181804,
		["Glowcap"] = 182053,
		["Wicker Chest"] = 184740,
		["Primitive Chest"] = 184793,
		["Solid Fel Iron Chest"] = 184930,
		["Netherwing Egg"] = 185915,
		["Everfrost Chip"] = 193997,
		["Dark Iron Treasure Chest"] = 207498,
		["Silken Treasure Chest"] = 207512,
		["Runestone Treasure Chest"] = 207533,
		["Onyx Egg"] = 214945,
		["Troll Archaeology Find"] = 202655,
		["Night Elf Archaeology Find"] = 203071,
		["Nerubian Archaeology Find"] = 203078,
		["Dwarf Archaeology Find"] = 204282,
		["Fossil Archaeology Find"] = 206836,
		["Orc Archaeology Find"] = 207187,
		["Draenei Archaeology Find"] = 207188,
		["Vrykul Archaeology Find"] = 207189,
		["Tol'vir Archaeology Find"] = 207190,
	}
elseif (region == "ptBR") then -- Portuguese (Brazilian)
	Gatherer.Nodes.Names = {
		["Veio de Tório Escasso"] = 324, -- Small Thorium Vein
		["Veio de Tório Pequeno"] = 324, -- Small Thorium Vein
		["Veio de Incendicita"] = 1610, -- Incendicite Mineral Vein
		["Veio de Cobre"] = 1731, -- Copper Vein
		["Veio de Estanho"] = 1732, -- Tin Vein
		["Veio de Prata"] = 1733, -- Silver Vein
		["Veio de Ouro"] = 1734, -- Gold Vein
		["Depósito de Ferro"] = 1735, -- Iron Deposit
		["Depósito de Mithril"] = 2040, -- Mithril Deposit
		["Depósito de Veraprata"] = 2047, -- Truesilver Deposit
		["Veio de Prata Coberto de Gosma"] = 73940, -- Ooze Covered Silver Vein
		["Veio de Ouro Coberto de Gosma"] = 73941, -- Ooze Covered Gold Vein
		["Depósito de Veraprata Coberto de Gosma"] = 123309, -- Ooze Covered Truesilver Deposit
		["Depósito de Mithril Coberto de Gosma"] = 123310, -- Ooze Covered Mithril Deposit
		["Veio de Tório Coberto de Gosma"] = 123848, -- Ooze Covered Thorium Vein
		["Depósito de Ferro Negro"] = 165658, -- Dark Iron Deposit
		["Veio de Tório Abundante"] = 175404, -- Rich Thorium Vein
		["Veio de Tório Abundante Coberto de Gosma"] = 177388, -- Ooze Covered Rich Thorium Vein
		["Depósito de Ferrovil"] = 181555, -- Fel Iron Deposit
		["Depósito de Adamantita"] = 181556, -- Adamantite Deposit
		["Veio de Kório"] = 181557, -- Khorium Vein
		["Depósito de Adamantita Abundante"] = 181569, -- Rich Adamantite Deposit
		["Depósito de Etercita"] = 185877, -- Nethercite Deposit
		["Depósito de Cobalto"] = 189978, -- Cobalt Deposit
		["Depósito de Cobalto Abundante"] = 189979, -- Rich Cobalt Deposit
		["Depósito de Saronita"] = 189980, -- Saronite Deposit
		["Depósito de Saronita Abundante"] = 189981, -- Rich Saronite Deposit
		["Veio de Titânico"] = 191133, -- Titanium Vein
		["Depósito de Obsídio"] = 202736, -- Obsidium Deposit
		["Depósito de Pirita"] = 202737, -- Pyrite Deposit
		["Veio de Elemêntio"] = 202738, -- Elementium Vein
		["Depósito de Obsídio Abundante"] = 202739, -- Rich Obsidium Deposit
		["Depósito de Pirita Abundante"] = 202740, -- Rich Pyrite Deposit
		["Veio de Elemêntio Abundante"] = 202741, -- Rich Elementium Vein
		["Depósito de Ferro Fantasma"] = 209311, -- Ghost Iron Deposit
		["Depósito de Kyparita"] = 209312, -- Kyparite Deposit
		["Veio de Tríllio"] = 209313, -- Trillium Vein
		["Depósito Repleto de Ferro Fantasma"] = 209328, -- Rich Ghost Iron Deposit
		["Depósito Rico em Kyparita"] = 209329, -- Rich Kyparite Deposit
		["Veio Repleto de Tríllio"] = 209330, -- Rich Trillium Vein
		["Folha-prata"] = 1617, -- Silverleaf
		["Botão-da-paz"] = 1618, -- Peacebloom
		["Raiz-telúrica"] = 1619, -- Earthroot
		["Magi-real"] = 1620, -- Mageroyal
		["Cravespinho"] = 1621, -- Briarthorn
		["Ervamossa"] = 1622, -- Bruiseweed
		["Ácera-agreste"] = 1623, -- Wild Steelbloom
		["Sangue-real"] = 1624, -- Kingsblood
		["Musgo-de-tumba"] = 1628, -- Grave Moss
		["Raiz-da-vida"] = 2041, -- Liferoot
		["Some-folha"] = 2042, -- Fadeleaf
		["Bigode-de-hadgar"] = 2043, -- Khadgar's Whisker
		["Dentes-de-dragão"] = 2044, -- Dragon's Teeth
		["Estrangulalga"] = 2045, -- Stranglekelp
		["Espinheira-dourada"] = 2046, -- Goldthorn
		["Ignídea"] = 2866, -- Firebloom
		["Lótus Roxo"] = 142140, -- Purple Lotus
		["Lágrimas-de-arthas"] = 142141, -- Arthas' Tears
		["Ervassol"] = 142142, -- Sungrass
		["Ervacega"] = 142143, -- Blindweed
		["Cogumelo-fantasma"] = 142144, -- Ghost Mushroom
		["Sangue-de-grom"] = 142145, -- Gromsblood
		["Sonsona-dourada"] = 176583, -- Golden Sansam
		["Folha-de-sonho"] = 176584, -- Dreamfoil
		["Sálvia-prata-da-montanha"] = 176586, -- Mountain Silversage
		["Limágoa"] = 176587, -- Sorrowmoss
		["Chapéu-de-gelo"] = 176588, -- Icecap
		["Lótus Preto"] = 176589, -- Black Lotus
		["Lótus-preto"] = 176589, -- Black Lotus
		["Cardossangue"] = 181166, -- Bloodthistle
		["Vilerva"] = 181270, -- Felweed
		["Glória-sonhadora"] = 181271, -- Dreaming Glory
		["Trapovéu"] = 181275, -- Ragveil
		["Chapéu-de-fogo"] = 181276, -- Flame Cap
		["Teropinha"] = 181277, -- Terocone
		["Líquen-antigo"] = 181278, -- Ancient Lichen
		["Floretérea"] = 181279, -- Netherbloom
		["Vinha-do-pesadelo"] = 181280, -- Nightmare Vine
		["Manacardo"] = 181281, -- Mana Thistle
		["Arbusto de Poeira Etérea"] = 185881, -- Netherdust Bush
		["Trevo Dourado"] = 189973, -- Goldclover
		["Lírio Tigre"] = 190169, -- Tiger Lily
		["Rosa de Talandra"] = 190170, -- Talandra's Rose
		["Flor-de-lich"] = 190171, -- Lichbloom
		["Espinho de Gelo"] = 190172, -- Icethorn
		["Planta Congelada"] = 190175, -- Frozen Herb
		["Lótus Gélido"] = 190176, -- Frost Lotus
		["Língua de Áspide"] = 191019, -- Adder's Tongue
		["Espinho de Fogo"] = 191303, -- Firethorn
		["Cinzanilha"] = 202747, -- Cinderbloom
		["Tempesvina"] = 202748, -- Stormvine
		["Véu-de-azshara"] = 202749, -- Azshara's Veil
		["Coronália"] = 202750, -- Heartblossom
		["Jasmim-do-crepúsculo"] = 202751, -- Twilight Jasmine
		["Jasmin-do-crepúsculo"] = 202751, -- Twilight Jasmine
		["Azorrague"] = 202752, -- Whiptail
		["Folha de Chá Verde"] = 209349, -- Green Tea Leaf
		["Flor-de-seda"] = 209350, -- Silkweed
		["Lírio-das-neves"] = 209351, -- Snow Lily
		["Papoula-da-chuva"] = 209353, -- Rain Poppy
		["Lótus Dourado"] = 209354, -- Golden Lotus
		["Chapéu dos Tolos"] = 209355, -- Fool's Cap
		["Planta Tocada pelo Sha"] = 214510, -- Sha-Touched Herb
		["Marisco Gigante"] = 2744, -- Giant Clam
		["Baú Desgastado"] = 2843, -- Battered Chest
		["Baú Gasto"] = 2844, -- Tattered Chest
		["Barril de Água"] = 3658, -- Water Barrel
		["Barril de Suco de Melão"] = 3659, -- Barrel of Melon Juice
		["Caixote de Armaduras"] = 3660, -- Armor Crate
		["Caixote de Armas"] = 3661, -- Weapon Crate
		["Caixote de Comida"] = 3662, -- Food Crate
		["Barril de Leite"] = 3705, -- Barrel of Milk
		["Caixa de Peças Sortidas"] = 19019, -- Box of Assorted Parts
		["Baú Grande Reforçado com Ferro"] = 74447, -- Large Iron Bound Chest
		["Baú Grande Sólido"] = 74448, -- Large Solid Chest
		["Baú Desgastado Grande"] = 75293, -- Large Battered Chest
		["Caixa-forte dos Bucaneiros"] = 123330, -- Buccaneer's Strongbox
		["Baú Grande Reforçado com Mithril"] = 131978, -- Large Mithril Bound Chest
		["Caixote de Suprimentos da Horda"] = 142191, -- Horde Supply Crate
		["Cristal de Poder Azul"] = 164658, -- Blue Power Crystal
		["Cristal de Poder Verde"] = 164659, -- Green Power Crystal
		["Cristal de Poder Vermelho"] = 164660, -- Red Power Crystal
		["Cristal de Poder Amarelo"] = 164661, -- Yellow Power Crystal
		["Broto de Pétala Sangrenta"] = 164958, -- Bloodpetal Sprout
		["Armadilha de Lagostim"] = 176582, -- Shellfish Trap
		["Maleta Surrada"] = 179486, -- Battered Footlocker
		["Maleta Encharcada"] = 179487, -- Waterlogged Footlocker
		["Maleta Amassada"] = 179492, -- Dented Footlocker
		["Maleta Mofada"] = 179493, -- Mossy Footlocker
		["Maleta Escarlate"] = 179498, -- Scarlet Footlocker
		["Baú de Enterro"] = 181665, -- Burial Chest
		["Chapéu-opalino"] = 182053, -- Glowcap
		["Baú de Vime"] = 184740, -- Wicker Chest
		["Baú Primitivo"] = 184793, -- Primitive Chest
		["Ovo da Asa Etérea"] = 185915, -- Netherwing Egg
		["Lasca de Gelo Eterno"] = 193997, -- Everfrost Chip
		["Baú do Tesouro Reforçado com Prata"] = 207472, -- Silverbound Treasure Chest
		["Baú do Tesouro Resistente"] = 207484, -- Sturdy Treasure Chest
		["Baú do Tesouro de Ferro Negro"] = 207498, -- Dark Iron Treasure Chest
		["Baú do Tesouro de Seda"] = 207512, -- Silken Treasure Chest
		["Baú do Tesouro de Bordo"] = 207529, -- Maplewood Treasure Chest
		["Baú do Tesouro de Pedra Rúnica"] = 207533, -- Runestone Treasure Chest
		["Solo Negro"] = 210565, -- Dark Soil
		["Ovo Ônix"] = 214945, -- Onyx Egg
		["Descoberta Arqueológica Trólica"] = 202655, -- Troll Archaeology Find
		["Descoberta Arqueológica Noctiélfica"] = 203071, -- Night Elf Archaeology Find
		["Descoberta Arqueológica Nerubiana"] = 203078, -- Nerubian Archaeology Find
		["Descoberta Arqueológica Enânica"] = 204282, -- Dwarf Archaeology Find
		["Descoberta Arqueológica de Fóssil"] = 206836, -- Fossil Archaeology Find
		["Descoberta Arqueológica Órquica"] = 207187, -- Orc Archaeology Find
		["Descoberta Arqueológica Draeneica"] = 207188, -- Draenei Archaeology Find
		["Descoberta Arqueológica Vraikálica"] = 207189, -- Vrykul Archaeology Find
		["Descoberta Arqueológica Tol'vírica"] = 207190, -- Tol'vir Archaeology Find
		["Descoberta Arqueológica Pandaren"] = 211163, -- Pandaren Archaeology Find
		["Descoberta Arqueológica Mogu"] = 211174, -- Mogu Archaeology Find
		["Descoberta Arqueológica Mantídea"] = 218950, -- Mantid Archaeology Find


		-- Missing Node Names
		["Lesser Bloodstone Deposit"] = 2653,
		["Hidden Strongbox"] = 2039,
		["Solid Chest"] = 2850,
		["Barrel of Sweet Nectar"] = 3706,
		["Alliance Strongbox"] = 3714,
		["Scattered Crate"] = 28604,
		["Un'Goro Dirt Pile"] = 157936,
		["Cleansed Night Dragon"] = 164881,
		["Cleansed Songflower"] = 164882,
		["Cleansed Windblossom"] = 164884,
		["Cleansed Whipper Root"] = 174622,
		["Blood of Heroes"] = 176213,
		["Practice Lockbox"] = 178244,
		["Fel Iron Chest"] = 181798,
		["Heavy Fel Iron Chest"] = 181800,
		["Adamantite Bound Chest"] = 181802,
		["Felsteel Chest"] = 181804,
		["Solid Fel Iron Chest"] = 184930,
	}
elseif (region == "ptPT") then -- Portuguese (Mapped from ptBR)
	Gatherer.Nodes.Names = {
		["Veio de Tório Escasso"] = 324, -- Small Thorium Vein
		["Veio de Tório Pequeno"] = 324, -- Small Thorium Vein
		["Veio de Incendicita"] = 1610, -- Incendicite Mineral Vein
		["Veio de Cobre"] = 1731, -- Copper Vein
		["Veio de Estanho"] = 1732, -- Tin Vein
		["Veio de Prata"] = 1733, -- Silver Vein
		["Veio de Ouro"] = 1734, -- Gold Vein
		["Depósito de Ferro"] = 1735, -- Iron Deposit
		["Depósito de Mithril"] = 2040, -- Mithril Deposit
		["Depósito de Veraprata"] = 2047, -- Truesilver Deposit
		["Veio de Prata Coberto de Gosma"] = 73940, -- Ooze Covered Silver Vein
		["Veio de Ouro Coberto de Gosma"] = 73941, -- Ooze Covered Gold Vein
		["Depósito de Veraprata Coberto de Gosma"] = 123309, -- Ooze Covered Truesilver Deposit
		["Depósito de Mithril Coberto de Gosma"] = 123310, -- Ooze Covered Mithril Deposit
		["Veio de Tório Coberto de Gosma"] = 123848, -- Ooze Covered Thorium Vein
		["Depósito de Ferro Negro"] = 165658, -- Dark Iron Deposit
		["Veio de Tório Abundante"] = 175404, -- Rich Thorium Vein
		["Veio de Tório Abundante Coberto de Gosma"] = 177388, -- Ooze Covered Rich Thorium Vein
		["Depósito de Ferrovil"] = 181555, -- Fel Iron Deposit
		["Depósito de Adamantita"] = 181556, -- Adamantite Deposit
		["Veio de Kório"] = 181557, -- Khorium Vein
		["Depósito de Adamantita Abundante"] = 181569, -- Rich Adamantite Deposit
		["Depósito de Etercita"] = 185877, -- Nethercite Deposit
		["Depósito de Cobalto"] = 189978, -- Cobalt Deposit
		["Depósito de Cobalto Abundante"] = 189979, -- Rich Cobalt Deposit
		["Depósito de Saronita"] = 189980, -- Saronite Deposit
		["Depósito de Saronita Abundante"] = 189981, -- Rich Saronite Deposit
		["Veio de Titânico"] = 191133, -- Titanium Vein
		["Depósito de Obsídio"] = 202736, -- Obsidium Deposit
		["Depósito de Pirita"] = 202737, -- Pyrite Deposit
		["Veio de Elemêntio"] = 202738, -- Elementium Vein
		["Depósito de Obsídio Abundante"] = 202739, -- Rich Obsidium Deposit
		["Depósito de Pirita Abundante"] = 202740, -- Rich Pyrite Deposit
		["Veio de Elemêntio Abundante"] = 202741, -- Rich Elementium Vein
		["Depósito de Ferro Fantasma"] = 209311, -- Ghost Iron Deposit
		["Depósito de Kyparita"] = 209312, -- Kyparite Deposit
		["Veio de Tríllio"] = 209313, -- Trillium Vein
		["Depósito Repleto de Ferro Fantasma"] = 209328, -- Rich Ghost Iron Deposit
		["Depósito Rico em Kyparita"] = 209329, -- Rich Kyparite Deposit
		["Veio Repleto de Tríllio"] = 209330, -- Rich Trillium Vein
		["Folha-prata"] = 1617, -- Silverleaf
		["Botão-da-paz"] = 1618, -- Peacebloom
		["Raiz-telúrica"] = 1619, -- Earthroot
		["Magi-real"] = 1620, -- Mageroyal
		["Cravespinho"] = 1621, -- Briarthorn
		["Ervamossa"] = 1622, -- Bruiseweed
		["Ácera-agreste"] = 1623, -- Wild Steelbloom
		["Sangue-real"] = 1624, -- Kingsblood
		["Musgo-de-tumba"] = 1628, -- Grave Moss
		["Raiz-da-vida"] = 2041, -- Liferoot
		["Some-folha"] = 2042, -- Fadeleaf
		["Bigode-de-hadgar"] = 2043, -- Khadgar's Whisker
		["Dentes-de-dragão"] = 2044, -- Dragon's Teeth
		["Estrangulalga"] = 2045, -- Stranglekelp
		["Espinheira-dourada"] = 2046, -- Goldthorn
		["Ignídea"] = 2866, -- Firebloom
		["Lótus Roxo"] = 142140, -- Purple Lotus
		["Lágrimas-de-arthas"] = 142141, -- Arthas' Tears
		["Ervassol"] = 142142, -- Sungrass
		["Ervacega"] = 142143, -- Blindweed
		["Cogumelo-fantasma"] = 142144, -- Ghost Mushroom
		["Sangue-de-grom"] = 142145, -- Gromsblood
		["Sonsona-dourada"] = 176583, -- Golden Sansam
		["Folha-de-sonho"] = 176584, -- Dreamfoil
		["Sálvia-prata-da-montanha"] = 176586, -- Mountain Silversage
		["Limágoa"] = 176587, -- Sorrowmoss
		["Chapéu-de-gelo"] = 176588, -- Icecap
		["Lótus Preto"] = 176589, -- Black Lotus
		["Lótus-preto"] = 176589, -- Black Lotus
		["Cardossangue"] = 181166, -- Bloodthistle
		["Vilerva"] = 181270, -- Felweed
		["Glória-sonhadora"] = 181271, -- Dreaming Glory
		["Trapovéu"] = 181275, -- Ragveil
		["Chapéu-de-fogo"] = 181276, -- Flame Cap
		["Teropinha"] = 181277, -- Terocone
		["Líquen-antigo"] = 181278, -- Ancient Lichen
		["Floretérea"] = 181279, -- Netherbloom
		["Vinha-do-pesadelo"] = 181280, -- Nightmare Vine
		["Manacardo"] = 181281, -- Mana Thistle
		["Arbusto de Poeira Etérea"] = 185881, -- Netherdust Bush
		["Trevo Dourado"] = 189973, -- Goldclover
		["Lírio Tigre"] = 190169, -- Tiger Lily
		["Rosa de Talandra"] = 190170, -- Talandra's Rose
		["Flor-de-lich"] = 190171, -- Lichbloom
		["Espinho de Gelo"] = 190172, -- Icethorn
		["Planta Congelada"] = 190175, -- Frozen Herb
		["Lótus Gélido"] = 190176, -- Frost Lotus
		["Língua de Áspide"] = 191019, -- Adder's Tongue
		["Espinho de Fogo"] = 191303, -- Firethorn
		["Cinzanilha"] = 202747, -- Cinderbloom
		["Tempesvina"] = 202748, -- Stormvine
		["Véu-de-azshara"] = 202749, -- Azshara's Veil
		["Coronália"] = 202750, -- Heartblossom
		["Jasmim-do-crepúsculo"] = 202751, -- Twilight Jasmine
		["Jasmin-do-crepúsculo"] = 202751, -- Twilight Jasmine
		["Azorrague"] = 202752, -- Whiptail
		["Folha de Chá Verde"] = 209349, -- Green Tea Leaf
		["Flor-de-seda"] = 209350, -- Silkweed
		["Lírio-das-neves"] = 209351, -- Snow Lily
		["Papoula-da-chuva"] = 209353, -- Rain Poppy
		["Lótus Dourado"] = 209354, -- Golden Lotus
		["Chapéu dos Tolos"] = 209355, -- Fool's Cap
		["Planta Tocada pelo Sha"] = 214510, -- Sha-Touched Herb
		["Marisco Gigante"] = 2744, -- Giant Clam
		["Baú Desgastado"] = 2843, -- Battered Chest
		["Baú Gasto"] = 2844, -- Tattered Chest
		["Barril de Água"] = 3658, -- Water Barrel
		["Barril de Suco de Melão"] = 3659, -- Barrel of Melon Juice
		["Caixote de Armaduras"] = 3660, -- Armor Crate
		["Caixote de Armas"] = 3661, -- Weapon Crate
		["Caixote de Comida"] = 3662, -- Food Crate
		["Barril de Leite"] = 3705, -- Barrel of Milk
		["Caixa de Peças Sortidas"] = 19019, -- Box of Assorted Parts
		["Baú Grande Reforçado com Ferro"] = 74447, -- Large Iron Bound Chest
		["Baú Grande Sólido"] = 74448, -- Large Solid Chest
		["Baú Desgastado Grande"] = 75293, -- Large Battered Chest
		["Caixa-forte dos Bucaneiros"] = 123330, -- Buccaneer's Strongbox
		["Baú Grande Reforçado com Mithril"] = 131978, -- Large Mithril Bound Chest
		["Caixote de Suprimentos da Horda"] = 142191, -- Horde Supply Crate
		["Cristal de Poder Azul"] = 164658, -- Blue Power Crystal
		["Cristal de Poder Verde"] = 164659, -- Green Power Crystal
		["Cristal de Poder Vermelho"] = 164660, -- Red Power Crystal
		["Cristal de Poder Amarelo"] = 164661, -- Yellow Power Crystal
		["Broto de Pétala Sangrenta"] = 164958, -- Bloodpetal Sprout
		["Armadilha de Lagostim"] = 176582, -- Shellfish Trap
		["Maleta Surrada"] = 179486, -- Battered Footlocker
		["Maleta Encharcada"] = 179487, -- Waterlogged Footlocker
		["Maleta Amassada"] = 179492, -- Dented Footlocker
		["Maleta Mofada"] = 179493, -- Mossy Footlocker
		["Maleta Escarlate"] = 179498, -- Scarlet Footlocker
		["Baú de Enterro"] = 181665, -- Burial Chest
		["Chapéu-opalino"] = 182053, -- Glowcap
		["Baú de Vime"] = 184740, -- Wicker Chest
		["Baú Primitivo"] = 184793, -- Primitive Chest
		["Ovo da Asa Etérea"] = 185915, -- Netherwing Egg
		["Lasca de Gelo Eterno"] = 193997, -- Everfrost Chip
		["Baú do Tesouro Reforçado com Prata"] = 207472, -- Silverbound Treasure Chest
		["Baú do Tesouro Resistente"] = 207484, -- Sturdy Treasure Chest
		["Baú do Tesouro de Ferro Negro"] = 207498, -- Dark Iron Treasure Chest
		["Baú do Tesouro de Seda"] = 207512, -- Silken Treasure Chest
		["Baú do Tesouro de Bordo"] = 207529, -- Maplewood Treasure Chest
		["Baú do Tesouro de Pedra Rúnica"] = 207533, -- Runestone Treasure Chest
		["Solo Negro"] = 210565, -- Dark Soil
		["Ovo Ônix"] = 214945, -- Onyx Egg
		["Descoberta Arqueológica Trólica"] = 202655, -- Troll Archaeology Find
		["Descoberta Arqueológica Noctiélfica"] = 203071, -- Night Elf Archaeology Find
		["Descoberta Arqueológica Nerubiana"] = 203078, -- Nerubian Archaeology Find
		["Descoberta Arqueológica Enânica"] = 204282, -- Dwarf Archaeology Find
		["Descoberta Arqueológica de Fóssil"] = 206836, -- Fossil Archaeology Find
		["Descoberta Arqueológica Órquica"] = 207187, -- Orc Archaeology Find
		["Descoberta Arqueológica Draeneica"] = 207188, -- Draenei Archaeology Find
		["Descoberta Arqueológica Vraikálica"] = 207189, -- Vrykul Archaeology Find
		["Descoberta Arqueológica Tol'vírica"] = 207190, -- Tol'vir Archaeology Find
		["Descoberta Arqueológica Pandaren"] = 211163, -- Pandaren Archaeology Find
		["Descoberta Arqueológica Mogu"] = 211174, -- Mogu Archaeology Find
		["Descoberta Arqueológica Mantídea"] = 218950, -- Mantid Archaeology Find


		-- Missing Node Names
		["Lesser Bloodstone Deposit"] = 2653,
		["Hidden Strongbox"] = 2039,
		["Solid Chest"] = 2850,
		["Barrel of Sweet Nectar"] = 3706,
		["Alliance Strongbox"] = 3714,
		["Scattered Crate"] = 28604,
		["Un'Goro Dirt Pile"] = 157936,
		["Cleansed Night Dragon"] = 164881,
		["Cleansed Songflower"] = 164882,
		["Cleansed Windblossom"] = 164884,
		["Cleansed Whipper Root"] = 174622,
		["Blood of Heroes"] = 176213,
		["Practice Lockbox"] = 178244,
		["Fel Iron Chest"] = 181798,
		["Heavy Fel Iron Chest"] = 181800,
		["Adamantite Bound Chest"] = 181802,
		["Felsteel Chest"] = 181804,
		["Solid Fel Iron Chest"] = 184930,
	}
elseif (region == "ruRU") then -- Russian
	Gatherer.Nodes.Names = {
		["Малая ториевая жила"] = 324, -- Small Thorium Vein
		["Ароматитовая жила"] = 1610, -- Incendicite Mineral Vein
		["Огневитовая жила"] = 1610, -- Incendicite Mineral Vein
		["Медная жила"] = 1731, -- Copper Vein
		["Оловянная жила"] = 1732, -- Tin Vein
		["Серебряная жила"] = 1733, -- Silver Vein
		["Золотая жила"] = 1734, -- Gold Vein
		["Залежи железа"] = 1735, -- Iron Deposit
		["Мифриловые залежи"] = 2040, -- Mithril Deposit
		["Залежи истинного серебра"] = 2047, -- Truesilver Deposit
		["Малое месторождение кровавого камня"] = 2653, -- Lesser Bloodstone Deposit
		["Покрытая слизью серебряная жила"] = 73940, -- Ooze Covered Silver Vein
		["Покрытая слизью золотая жила"] = 73941, -- Ooze Covered Gold Vein
		["Покрытые слизью залежи истинного серебра"] = 123309, -- Ooze Covered Truesilver Deposit
		["Покрытые слизью мифриловые залежи"] = 123310, -- Ooze Covered Mithril Deposit
		["Покрытая слизью ториевая жила"] = 123848, -- Ooze Covered Thorium Vein
		["Залежи черного железа"] = 165658, -- Dark Iron Deposit
		["Богатая ториевая жила"] = 175404, -- Rich Thorium Vein
		["Покрытая слизью богатая ториевая жила"] = 177388, -- Ooze Covered Rich Thorium Vein
		["Месторождение оскверненного железа"] = 181555, -- Fel Iron Deposit
		["Залежи адамантита"] = 181556, -- Adamantite Deposit
		["Кориевая жила"] = 181557, -- Khorium Vein
		["Богатые залежи адамантита"] = 181569, -- Rich Adamantite Deposit
		["Месторождение хаотита"] = 185877, -- Nethercite Deposit
		["Залежи кобальта"] = 189978, -- Cobalt Deposit
		["Богатые залежи кобальта"] = 189979, -- Rich Cobalt Deposit
		["Месторождение саронита"] = 189980, -- Saronite Deposit
		["Богатое месторождение саронита"] = 189981, -- Rich Saronite Deposit
		["Залежи титана"] = 191133, -- Titanium Vein
		["Залежи обсидиана"] = 202736, -- Obsidium Deposit
		["Залежи колчедана"] = 202737, -- Pyrite Deposit
		["Элементиевая жила"] = 202738, -- Elementium Vein
		["Громадный кусок обсидиана"] = 202739, -- Rich Obsidium Deposit
		["Богатые залежи колчедана"] = 202740, -- Rich Pyrite Deposit
		["Богатая элементиевая жила"] = 202741, -- Rich Elementium Vein
		["Залежи призрачного железа"] = 209311, -- Ghost Iron Deposit
		["Залежи кипарита"] = 209312, -- Kyparite Deposit
		["Триллиевая жила"] = 209313, -- Trillium Vein
		["Богатые залежи призрачного железа"] = 209328, -- Rich Ghost Iron Deposit
		["Богатые залежи кипарита"] = 209329, -- Rich Kyparite Deposit
		["Богатая триллиевая жила"] = 209330, -- Rich Trillium Vein
		["Сребролист"] = 1617, -- Silverleaf
		["Мироцвет"] = 1618, -- Peacebloom
		["Земляной корень"] = 1619, -- Earthroot
		["Магороза"] = 1620, -- Mageroyal
		["Остротерн"] = 1621, -- Briarthorn
		["Синячник"] = 1622, -- Bruiseweed
		["Дикий сталецвет"] = 1623, -- Wild Steelbloom
		["Королевская кровь"] = 1624, -- Kingsblood
		["Могильный мох"] = 1628, -- Grave Moss
		["Корень жизни"] = 2041, -- Liferoot
		["Бледнолист"] = 2042, -- Fadeleaf
		["Кадгаров ус"] = 2043, -- Khadgar's Whisker
		["Драконьи зубы"] = 2044, -- Dragon's Teeth
		["Удавник"] = 2045, -- Stranglekelp
		["Златошип"] = 2046, -- Goldthorn
		["Огнецвет"] = 2866, -- Firebloom
		["Лиловый лотос"] = 142140, -- Purple Lotus
		["Слезы Артаса"] = 142141, -- Arthas' Tears
		["Солнечник"] = 142142, -- Sungrass
		["Пастушья сумка"] = 142143, -- Blindweed
		["Призрачная поганка"] = 142144, -- Ghost Mushroom
		["Кровь Грома"] = 142145, -- Gromsblood
		["Золотой сансам"] = 176583, -- Golden Sansam
		["Снолист"] = 176584, -- Dreamfoil
		["Горный серебряный шалфей"] = 176586, -- Mountain Silversage
		["Печаль-трава"] = 176587, -- Sorrowmoss
		["Ледяной зев"] = 176588, -- Icecap
		["Черный лотос"] = 176589, -- Black Lotus
		["Кровопийка"] = 181166, -- Bloodthistle
		["Сквернопля"] = 181270, -- Felweed
		["Сияние грез"] = 181271, -- Dreaming Glory
		["Кисейница"] = 181275, -- Ragveil
		["Огненный зев"] = 181276, -- Flame Cap
		["Терошишка"] = 181277, -- Terocone
		["Древний лишайник"] = 181278, -- Ancient Lichen
		["Пустоцвет"] = 181279, -- Netherbloom
		["Ползучий кошмарник"] = 181280, -- Nightmare Vine
		["Манаполох"] = 181281, -- Mana Thistle
		["Куст пустопраха"] = 185881, -- Netherdust Bush
		["Золотой клевер"] = 189973, -- Goldclover
		["Тигровая лилия"] = 190169, -- Tiger Lily
		["Роза Таландры"] = 190170, -- Talandra's Rose
		["Личецвет"] = 190171, -- Lichbloom
		["Ледошип"] = 190172, -- Icethorn
		["Мерзлая трава"] = 190175, -- Frozen Herb
		["Северный лотос"] = 190176, -- Frost Lotus
		["Язык аспида"] = 191019, -- Adder's Tongue
		["Огница"] = 191303, -- Firethorn
		["Пепельник"] = 202747, -- Cinderbloom
		["Ливневая лоза"] = 202748, -- Stormvine
		["Вуаль Азшары"] = 202749, -- Azshara's Veil
		["Цветущее сердце"] = 202750, -- Heartblossom
		["Сумеречный жасмин"] = 202751, -- Twilight Jasmine
		["Хлыстохвост"] = 202752, -- Whiptail
		["Лист зеленого чая"] = 209349, -- Green Tea Leaf
		["Листья зеленого чая"] = 209349, -- Green Tea Leaf
		["Ваточник"] = 209350, -- Silkweed
		["Снежная лилия"] = 209351, -- Snow Lily
		["Дождевой мак"] = 209353, -- Rain Poppy
		["Золотой лотос"] = 209354, -- Golden Lotus
		["Дурногриб"] = 209355, -- Fool's Cap
		["Пораженная ша трава"] = 214510, -- Sha-Touched Herb
		["Потайной сейф"] = 2039, -- Hidden Strongbox
		["Гигантский моллюск"] = 2744, -- Giant Clam
		["Подбитый сундук"] = 2843, -- Battered Chest
		["Побитый сундук"] = 2844, -- Tattered Chest
		["Добротный сундук"] = 2850, -- Solid Chest
		["Бочка с водой"] = 3658, -- Water Barrel
		["Бочка дынного сока"] = 3659, -- Barrel of Melon Juice
		["Оружейный ящик"] = 3660, -- Armor Crate
		["Ящик с оружием"] = 3661, -- Weapon Crate
		["Ящик со съестными припасами"] = 3662, -- Food Crate
		["Бочка молока"] = 3705, -- Barrel of Milk
		["Бочка сладкого нектара"] = 3706, -- Barrel of Sweet Nectar
		["Сейф Альянса"] = 3714, -- Alliance Strongbox
		["Ящик с различными деталями"] = 19019, -- Box of Assorted Parts
		["Разбитый ящик"] = 28604, -- Scattered Crate
		["Большой сундук, окованный железом"] = 74447, -- Large Iron Bound Chest
		["Окованный железом большой сундук"] = 74447, -- Large Iron Bound Chest
		["Большой добротный сундук"] = 74448, -- Large Solid Chest
		["Большой побитый сундук"] = 75293, -- Large Battered Chest
		["Сейф буканьера"] = 123330, -- Buccaneer's Strongbox
		["Большой сундук, окованный мифрилом"] = 131978, -- Large Mithril Bound Chest
		["Окованный мифрилом большой сундук"] = 131978, -- Large Mithril Bound Chest
		["Ящик Орды с припасами"] = 142191, -- Horde Supply Crate
		["Ящик с припасами Орды"] = 142191, -- Horde Supply Crate
		["Куча земли Ун'Горо"] = 157936, -- Un'Goro Dirt Pile
		["Синий кристалл силы"] = 164658, -- Blue Power Crystal
		["Зеленый кристалл силы"] = 164659, -- Green Power Crystal
		["Красный кристалл силы"] = 164660, -- Red Power Crystal
		["Желтый кристалл силы"] = 164661, -- Yellow Power Crystal
		["Очищенный Ночной дракон"] = 164881, -- Cleansed Night Dragon
		["Очищенный песнецвет"] = 164882, -- Cleansed Songflower
		["Очищенный ветроцвет"] = 164884, -- Cleansed Windblossom
		["Росток кровоцвета"] = 164958, -- Bloodpetal Sprout
		["Очищенный кнутокорень"] = 174622, -- Cleansed Whipper Root
		["Кровь героев"] = 176213, -- Blood of Heroes
		["Ловушка на моллюска"] = 176582, -- Shellfish Trap
		["Учебный сейф"] = 178244, -- Practice Lockbox
		["Побитый сундучок"] = 179486, -- Battered Footlocker
		["Затопленный сундучок"] = 179487, -- Waterlogged Footlocker
		["Проломленный сундучок"] = 179492, -- Dented Footlocker
		["Замшелый сундучок"] = 179493, -- Mossy Footlocker
		["Сундучок Алого ордена"] = 179498, -- Scarlet Footlocker
		["Погребальный сундук"] = 181665, -- Burial Chest
		["Сундук из оскверненного железа"] = 181798, -- Fel Iron Chest
		["Тяжелый сундук из оскверненного железа"] = 181800, -- Heavy Fel Iron Chest
		["Окованный адамантитом сундук"] = 181802, -- Adamantite Bound Chest
		["Сундук, окованный адамантитом"] = 181802, -- Adamantite Bound Chest
		["Сундук из оскверненной стали"] = 181804, -- Felsteel Chest
		["Огнешляпка"] = 182053, -- Glowcap
		["Плетеный ларец"] = 184740, -- Wicker Chest
		["Примитивный сундук"] = 184793, -- Primitive Chest
		["Добротный сундук из оскверненного железа"] = 184930, -- Solid Fel Iron Chest
		["Яйцо дракона из стаи Крыльев Пустоты"] = 185915, -- Netherwing Egg
		["Обломок вечной мерзлоты"] = 193997, -- Everfrost Chip
		["Частичка Вечного льда"] = 193997, -- Everfrost Chip
		["Окованный серебром сундук с сокровищами"] = 207472, -- Silverbound Treasure Chest
		["Прочный сундук с сокровищами"] = 207484, -- Sturdy Treasure Chest
		["Сундук с сокровищами Черного Железа"] = 207498, -- Dark Iron Treasure Chest
		["Шелковый сундук с сокровищами"] = 207512, -- Silken Treasure Chest
		["Кленовый сундук с сокровищами"] = 207529, -- Maplewood Treasure Chest
		["Инкрустированный руническими камнями сундук с сокровищами"] = 207533, -- Runestone Treasure Chest
		["Темная земля"] = 210565, -- Dark Soil
		["Ониксовое яйцо"] = 214945, -- Onyx Egg
		["Тролльская археологическая находка"] = 202655, -- Troll Archaeology Find
		["Эльфийская археологическая находка"] = 203071, -- Night Elf Archaeology Find
		["Нерубская археологическая находка"] = 203078, -- Nerubian Archaeology Find
		["Дворфийская археологическая находка"] = 204282, -- Dwarf Archaeology Find
		["Находка-окаменелость"] = 206836, -- Fossil Archaeology Find
		["Оркская археологическая находка"] = 207187, -- Orc Archaeology Find
		["Дренейская археологическая находка"] = 207188, -- Draenei Archaeology Find
		["Врайкульская археологическая находка"] = 207189, -- Vrykul Archaeology Find
		["Тол'вирская археологическая находка"] = 207190, -- Tol'vir Archaeology Find
		["Пандаренская археологическая находка"] = 211163, -- Pandaren Archaeology Find
		["Археологическая находка могу"] = 211174, -- Mogu Archaeology Find
		["Археологическая находка богомолов"] = 218950, -- Mantid Archaeology Find
	}
elseif (region == "zhCN") then -- Chinese
	Gatherer.Nodes.Names = {
		["瑟银矿脉"] = 324, -- Small Thorium Vein
		["火岩矿脉"] = 1610, -- Incendicite Mineral Vein
		["铜矿"] = 1731, -- Copper Vein
		["锡矿"] = 1732, -- Tin Vein
		["银矿"] = 1733, -- Silver Vein
		["金矿石"] = 1734, -- Gold Vein
		["铁矿石"] = 1735, -- Iron Deposit
		["秘银矿脉"] = 2040, -- Mithril Deposit
		["真银矿石"] = 2047, -- Truesilver Deposit
		["次级血石矿脉"] = 2653, -- Lesser Bloodstone Deposit
		["软泥覆盖的银矿脉"] = 73940, -- Ooze Covered Silver Vein
		["软泥覆盖的金矿脉"] = 73941, -- Ooze Covered Gold Vein
		["软泥覆盖的真银矿脉"] = 123309, -- Ooze Covered Truesilver Deposit
		["软泥覆盖的秘银矿脉"] = 123310, -- Ooze Covered Mithril Deposit
		["软泥覆盖的瑟银矿脉"] = 123848, -- Ooze Covered Thorium Vein
		["黑铁矿脉"] = 165658, -- Dark Iron Deposit
		["富瑟银矿"] = 175404, -- Rich Thorium Vein
		["软泥覆盖的富瑟银矿脉"] = 177388, -- Ooze Covered Rich Thorium Vein
		["魔铁矿脉"] = 181555, -- Fel Iron Deposit
		["精金矿脉"] = 181556, -- Adamantite Deposit
		["氪金矿脉"] = 181557, -- Khorium Vein
		["富精金矿脉"] = 181569, -- Rich Adamantite Deposit
		["虚空矿脉"] = 185877, -- Nethercite Deposit
		["黑曜石碎块"] = 202736, -- Obsidium Deposit
		["燃铁矿脉"] = 202737, -- Pyrite Deposit
		["源质矿"] = 202738, -- Elementium Vein
		["幽冥铁矿脉"] = 209311, -- Ghost Iron Deposit
		["凯帕琥珀矿脉"] = 209312, -- Kyparite Deposit
		["延极矿脉"] = 209313, -- Trillium Vein
		["富幽冥铁矿脉"] = 209328, -- Rich Ghost Iron Deposit
		["富凯帕琥珀矿脉"] = 209329, -- Rich Kyparite Deposit
		["银叶草"] = 1617, -- Silverleaf
		["宁神花"] = 1618, -- Peacebloom
		["地根草"] = 1619, -- Earthroot
		["魔皇草"] = 1620, -- Mageroyal
		["石南草"] = 1621, -- Briarthorn
		["跌打草"] = 1622, -- Bruiseweed
		["野钢花"] = 1623, -- Wild Steelbloom
		["皇血草"] = 1624, -- Kingsblood
		["墓地苔"] = 1628, -- Grave Moss
		["活根草"] = 2041, -- Liferoot
		["枯叶草"] = 2042, -- Fadeleaf
		["卡德加的胡须"] = 2043, -- Khadgar's Whisker
		["龙齿草"] = 2044, -- Dragon's Teeth
		["荆棘藻"] = 2045, -- Stranglekelp
		["金棘草"] = 2046, -- Goldthorn
		["火焰花"] = 2866, -- Firebloom
		["紫莲花"] = 142140, -- Purple Lotus
		["阿尔萨斯之泪"] = 142141, -- Arthas' Tears
		["太阳草"] = 142142, -- Sungrass
		["盲目草"] = 142143, -- Blindweed
		["幽灵菇"] = 142144, -- Ghost Mushroom
		["格罗姆之血"] = 142145, -- Gromsblood
		["黄金参"] = 176583, -- Golden Sansam
		["梦叶草"] = 176584, -- Dreamfoil
		["山鼠草"] = 176586, -- Mountain Silversage
		["哀伤苔"] = 176587, -- Sorrowmoss
		["冰盖草"] = 176588, -- Icecap
		["黑莲花"] = 176589, -- Black Lotus
		["血蓟"] = 181166, -- Bloodthistle
		["魔草"] = 181270, -- Felweed
		["梦露花"] = 181271, -- Dreaming Glory
		["邪雾草"] = 181275, -- Ragveil
		["烈焰菇"] = 181276, -- Flame Cap
		["泰罗果"] = 181277, -- Terocone
		["远古苔"] = 181278, -- Ancient Lichen
		["虚空花"] = 181279, -- Netherbloom
		["噩梦藤"] = 181280, -- Nightmare Vine
		["法力蓟"] = 181281, -- Mana Thistle
		["灵尘灌木丛"] = 185881, -- Netherdust Bush
		["燃烬草"] = 202747, -- Cinderbloom
		["风暴藤"] = 202748, -- Stormvine
		["艾萨拉雾菇"] = 202749, -- Azshara's Veil
		["鞭尾草"] = 202752, -- Whiptail
		["绿茶叶"] = 209349, -- Green Tea Leaf
		["柔丝草"] = 209350, -- Silkweed
		["雪百合"] = 209351, -- Snow Lily
		["雨粟花"] = 209353, -- Rain Poppy
		["黄金莲"] = 209354, -- Golden Lotus
		["愚人菇"] = 209355, -- Fool's Cap
		["染煞草药"] = 214510, -- Sha-Touched Herb
		["隐蔽的保险箱"] = 2039, -- Hidden Strongbox
		["巨型蚌壳"] = 2744, -- Giant Clam
		["破损的箱子"] = 2843, -- Battered Chest
		["破碎的箱子"] = 2844, -- Tattered Chest
		["坚固的箱子"] = 2850, -- Solid Chest
		["水桶"] = 3658, -- Water Barrel
		["一桶果汁"] = 3659, -- Barrel of Melon Juice
		["铠甲箱"] = 3660, -- Armor Crate
		["武器箱"] = 3661, -- Weapon Crate
		["食品箱"] = 3662, -- Food Crate
		["一桶牛奶"] = 3705, -- Barrel of Milk
		["一桶蜂蜜酒"] = 3706, -- Barrel of Sweet Nectar
		["联盟保险箱"] = 3714, -- Alliance Strongbox
		["一箱整理过的零件"] = 19019, -- Box of Assorted Parts
		["破烂的箱子"] = 28604, -- Scattered Crate
		["大型铁箍储物箱"] = 74447, -- Large Iron Bound Chest
		["坚固的大箱子"] = 74448, -- Large Solid Chest
		["破碎的大箱子"] = 75293, -- Large Battered Chest
		["海盗的保险箱"] = 123330, -- Buccaneer's Strongbox
		["大型秘银储物箱"] = 131978, -- Large Mithril Bound Chest
		["部落补给箱"] = 142191, -- Horde Supply Crate
		["安戈洛土堆"] = 157936, -- Un'Goro Dirt Pile
		["蓝色能量水晶"] = 164658, -- Blue Power Crystal
		["绿色能量水晶"] = 164659, -- Green Power Crystal
		["红色能量水晶"] = 164660, -- Red Power Crystal
		["黄色能量水晶"] = 164661, -- Yellow Power Crystal
		["净化过的夜龙草"] = 164881, -- Cleansed Night Dragon
		["净化过的轻歌花"] = 164882, -- Cleansed Songflower
		["净化过的迎风花"] = 164884, -- Cleansed Windblossom
		["血瓣花苗"] = 164958, -- Bloodpetal Sprout
		["净化过的鞭根草"] = 174622, -- Cleansed Whipper Root
		["英雄之血"] = 176213, -- Blood of Heroes
		["贝壳陷阱"] = 176582, -- Shellfish Trap
		["练习用保险箱"] = 178244, -- Practice Lockbox
		["破碎的提箱"] = 179486, -- Battered Footlocker
		["浸水的提箱"] = 179487, -- Waterlogged Footlocker
		["被砸过的箱子"] = 179492, -- Dented Footlocker
		["生苔的提箱"] = 179493, -- Mossy Footlocker
		["血色十字军提箱"] = 179498, -- Scarlet Footlocker
		["埋起来的箱子"] = 181665, -- Burial Chest
		["魔铁宝箱"] = 181798, -- Fel Iron Chest
		["重型魔铁宝箱"] = 181800, -- Heavy Fel Iron Chest
		["加固精金宝箱"] = 181802, -- Adamantite Bound Chest
		["魔钢宝箱"] = 181804, -- Felsteel Chest
		["亮顶蘑菇"] = 182053, -- Glowcap
		["柳条箱"] = 184740, -- Wicker Chest
		["粗糙的箱子"] = 184793, -- Primitive Chest
		["坚固的魔铁宝箱"] = 184930, -- Solid Fel Iron Chest
		["灵翼龙卵"] = 185915, -- Netherwing Egg
		["缚银宝箱"] = 207472, -- Silverbound Treasure Chest
		["坚固的宝箱"] = 207484, -- Sturdy Treasure Chest
		["黑铁宝箱"] = 207498, -- Dark Iron Treasure Chest
		["丝制宝箱"] = 207512, -- Silken Treasure Chest
		["枫木宝箱"] = 207529, -- Maplewood Treasure Chest
		["符文石宝箱"] = 207533, -- Runestone Treasure Chest
		["黑色泥土"] = 210565, -- Dark Soil
		["螳螂妖考古发现"] = 218950, -- Mantid Archaeology Find


		-- Missing Node Names
		["Cobalt Deposit"] = 189978,
		["Rich Cobalt Deposit"] = 189979,
		["Saronite Deposit"] = 189980,
		["Rich Saronite Deposit"] = 189981,
		["Titanium Vein"] = 191133,
		["Rich Obsidium Deposit"] = 202739,
		["Rich Pyrite Deposit"] = 202740,
		["Rich Elementium Vein"] = 202741,
		["Rich Trillium Vein"] = 209330,
		["Goldclover"] = 189973,
		["Tiger Lily"] = 190169,
		["Talandra's Rose"] = 190170,
		["Lichbloom"] = 190171,
		["Icethorn"] = 190172,
		["Frozen Herb"] = 190175,
		["Frost Lotus"] = 190176,
		["Adder's Tongue"] = 191019,
		["Firethorn"] = 191303,
		["Heartblossom"] = 202750,
		["Twilight Jasmine"] = 202751,
		["Everfrost Chip"] = 193997,
		["Onyx Egg"] = 214945,
		["Troll Archaeology Find"] = 202655,
		["Night Elf Archaeology Find"] = 203071,
		["Nerubian Archaeology Find"] = 203078,
		["Dwarf Archaeology Find"] = 204282,
		["Fossil Archaeology Find"] = 206836,
		["Orc Archaeology Find"] = 207187,
		["Draenei Archaeology Find"] = 207188,
		["Vrykul Archaeology Find"] = 207189,
		["Tol'vir Archaeology Find"] = 207190,
		["Pandaren Archaeology Find"] = 211163,
		["Mogu Archaeology Find"] = 211174,
	}
elseif (region == "zhTW") then -- Traditional Chinese
	Gatherer.Nodes.Names = {
		["瑟銀礦脈"] = 324, -- Small Thorium Vein
		["火岩礦脈"] = 1610, -- Incendicite Mineral Vein
		["銅礦脈"] = 1731, -- Copper Vein
		["錫礦脈"] = 1732, -- Tin Vein
		["銀礦脈"] = 1733, -- Silver Vein
		["金礦脈"] = 1734, -- Gold Vein
		["鐵礦床"] = 1735, -- Iron Deposit
		["秘銀礦床"] = 2040, -- Mithril Deposit
		["真銀礦床"] = 2047, -- Truesilver Deposit
		["次級血石礦脈"] = 2653, -- Lesser Bloodstone Deposit
		["軟泥覆蓋的銀礦脈"] = 73940, -- Ooze Covered Silver Vein
		["軟泥覆蓋的金礦脈"] = 73941, -- Ooze Covered Gold Vein
		["軟泥覆蓋的真銀礦脈"] = 123309, -- Ooze Covered Truesilver Deposit
		["軟泥覆蓋的祕銀礦床"] = 123310, -- Ooze Covered Mithril Deposit
		["軟泥覆蓋的瑟銀礦脈"] = 123848, -- Ooze Covered Thorium Vein
		["黑鐵礦床"] = 165658, -- Dark Iron Deposit
		["富瑟銀礦脈"] = 175404, -- Rich Thorium Vein
		["軟泥覆蓋的富瑟銀礦脈"] = 177388, -- Ooze Covered Rich Thorium Vein
		["魔鐵礦床"] = 181555, -- Fel Iron Deposit
		["堅鋼礦床"] = 181556, -- Adamantite Deposit
		["克銀礦脈"] = 181557, -- Khorium Vein
		["豐沃的堅鋼礦床"] = 181569, -- Rich Adamantite Deposit
		["虛空傳喚礦床"] = 185877, -- Nethercite Deposit
		["鈷藍礦床"] = 189978, -- Cobalt Deposit
		["豐沃的鈷藍礦床"] = 189979, -- Rich Cobalt Deposit
		["薩鋼礦床"] = 189980, -- Saronite Deposit
		["豐沃的薩鋼礦床"] = 189981, -- Rich Saronite Deposit
		["泰坦鋼礦脈"] = 191133, -- Titanium Vein
		["黑曜石塊"] = 202736, -- Obsidium Deposit
		["黃鐵礦床"] = 202737, -- Pyrite Deposit
		["源質礦脈"] = 202738, -- Elementium Vein
		["巨型黑曜石片"] = 202739, -- Rich Obsidium Deposit
		["豐沃的黃鐵礦床"] = 202740, -- Rich Pyrite Deposit
		["豐沃的源質礦脈"] = 202741, -- Rich Elementium Vein
		["鬼鐵礦床"] = 209311, -- Ghost Iron Deposit
		["奇帕利礦床"] = 209312, -- Kyparite Deposit
		["延齡礦脈"] = 209313, -- Trillium Vein
		["豐沃的鬼鐵礦脈"] = 209328, -- Rich Ghost Iron Deposit
		["豐沃的奇帕利礦床"] = 209329, -- Rich Kyparite Deposit
		["豐沃的延齡礦脈"] = 209330, -- Rich Trillium Vein
		["銀葉草"] = 1617, -- Silverleaf
		["寧神花"] = 1618, -- Peacebloom
		["地根草"] = 1619, -- Earthroot
		["魔皇草"] = 1620, -- Mageroyal
		["石南草"] = 1621, -- Briarthorn
		["跌打草"] = 1622, -- Bruiseweed
		["野鋼花"] = 1623, -- Wild Steelbloom
		["皇血草"] = 1624, -- Kingsblood
		["墓地苔"] = 1628, -- Grave Moss
		["活根草"] = 2041, -- Liferoot
		["枯葉草"] = 2042, -- Fadeleaf
		["卡德加的鬍鬚"] = 2043, -- Khadgar's Whisker
		["龍齒草"] = 2044, -- Dragon's Teeth
		["荊棘藻"] = 2045, -- Stranglekelp
		["金棘草"] = 2046, -- Goldthorn
		["火焰花"] = 2866, -- Firebloom
		["紫蓮花"] = 142140, -- Purple Lotus
		["阿薩斯之淚"] = 142141, -- Arthas' Tears
		["太陽草"] = 142142, -- Sungrass
		["盲目草"] = 142143, -- Blindweed
		["幽靈菇"] = 142144, -- Ghost Mushroom
		["格羅姆之血"] = 142145, -- Gromsblood
		["黃金蔘"] = 176583, -- Golden Sansam
		["夢葉草"] = 176584, -- Dreamfoil
		["山鼠草"] = 176586, -- Mountain Silversage
		["悲傷苔蘚"] = 176587, -- Sorrowmoss
		["冰蓋草"] = 176588, -- Icecap
		["黑蓮花"] = 176589, -- Black Lotus
		["血薊"] = 181166, -- Bloodthistle
		["魔獄草"] = 181270, -- Felweed
		["譽夢草"] = 181271, -- Dreaming Glory
		["拉格維花"] = 181275, -- Ragveil
		["火帽花"] = 181276, -- Flame Cap
		["泰魯草"] = 181277, -- Terocone
		["古老青苔"] = 181278, -- Ancient Lichen
		["虛空花"] = 181279, -- Netherbloom
		["夢魘根"] = 181280, -- Nightmare Vine
		["法力薊"] = 181281, -- Mana Thistle
		["虛空之塵灌木"] = 185881, -- Netherdust Bush
		["金黃苜蓿"] = 189973, -- Goldclover
		["虎百合"] = 190169, -- Tiger Lily
		["泰蘭卓的玫瑰"] = 190170, -- Talandra's Rose
		["低語藤"] = 190171, -- Lichbloom
		["冰棘"] = 190172, -- Icethorn
		["冰凍草藥"] = 190175, -- Frozen Herb
		["冰霜蓮花"] = 190176, -- Frost Lotus
		["奎蛇之舌"] = 191019, -- Adder's Tongue
		["火棘"] = 191303, -- Firethorn
		["燼花"] = 202747, -- Cinderbloom
		["風暴藤"] = 202748, -- Stormvine
		["艾薩拉的帷紗"] = 202749, -- Azshara's Veil
		["心綻花"] = 202750, -- Heartblossom
		["暮光茉莉"] = 202751, -- Twilight Jasmine
		["鞭尾蜥草"] = 202752, -- Whiptail
		["綠茶葉"] = 209349, -- Green Tea Leaf
		["絲草"] = 209350, -- Silkweed
		["雪百合"] = 209351, -- Snow Lily
		["雨罌粟"] = 209353, -- Rain Poppy
		["黃金蓮"] = 209354, -- Golden Lotus
		["丑帽菇"] = 209355, -- Fool's Cap
		["煞化的藥草"] = 214510, -- Sha-Touched Herb
		["隱蔽的保險箱"] = 2039, -- Hidden Strongbox
		["巨型蚌殼"] = 2744, -- Giant Clam
		["破損的箱子"] = 2843, -- Battered Chest
		["破爛的箱子"] = 2844, -- Tattered Chest
		["堅固的箱子"] = 2850, -- Solid Chest
		["水桶"] = 3658, -- Water Barrel
		["一桶果汁"] = 3659, -- Barrel of Melon Juice
		["護甲箱"] = 3660, -- Armor Crate
		["武器箱"] = 3661, -- Weapon Crate
		["食物箱"] = 3662, -- Food Crate
		["一桶牛奶"] = 3705, -- Barrel of Milk
		["一桶蜂蜜酒"] = 3706, -- Barrel of Sweet Nectar
		["聯盟保險箱"] = 3714, -- Alliance Strongbox
		["一箱整理過的零件"] = 19019, -- Box of Assorted Parts
		["破爛的木箱"] = 28604, -- Scattered Crate
		["大型鐵箍物箱"] = 74447, -- Large Iron Bound Chest
		["堅固的大箱子"] = 74448, -- Large Solid Chest
		["破損的大箱子"] = 75293, -- Large Battered Chest
		["海盜的保險箱"] = 123330, -- Buccaneer's Strongbox
		["大型祕銀儲物箱"] = 131978, -- Large Mithril Bound Chest
		["部落補給箱"] = 142191, -- Horde Supply Crate
		["安戈洛土堆"] = 157936, -- Un'Goro Dirt Pile
		["藍色能量水晶"] = 164658, -- Blue Power Crystal
		["綠色能量水晶"] = 164659, -- Green Power Crystal
		["紅色能量水晶"] = 164660, -- Red Power Crystal
		["黃色能量水晶"] = 164661, -- Yellow Power Crystal
		["淨化過夜龍之息"] = 164881, -- Cleansed Night Dragon
		["淨化過輕歌花"] = 164882, -- Cleansed Songflower
		["淨化過的迎風花"] = 164884, -- Cleansed Windblossom
		["血瓣花苗"] = 164958, -- Bloodpetal Sprout
		["淨化過鞭根草"] = 174622, -- Cleansed Whipper Root
		["英雄之血"] = 176213, -- Blood of Heroes
		["貝殼陷阱"] = 176582, -- Shellfish Trap
		["練習用保險箱"] = 178244, -- Practice Lockbox
		["破碎的提箱"] = 179486, -- Battered Footlocker
		["浸水的提箱"] = 179487, -- Waterlogged Footlocker
		["被砸過的箱子"] = 179492, -- Dented Footlocker
		["生苔的提箱"] = 179493, -- Mossy Footlocker
		["血色十字軍提箱"] = 179498, -- Scarlet Footlocker
		["埋葬箱"] = 181665, -- Burial Chest
		["魔鐵箱"] = 181798, -- Fel Iron Chest
		["沉重的魔鐵箱"] = 181800, -- Heavy Fel Iron Chest
		["堅鋼裝訂箱"] = 181802, -- Adamantite Bound Chest
		["魔鋼箱"] = 181804, -- Felsteel Chest
		["白閃菇"] = 182053, -- Glowcap
		["柳條箱"] = 184740, -- Wicker Chest
		["遠古箱子"] = 184793, -- Primitive Chest
		["堅固的魔鐵箱"] = 184930, -- Solid Fel Iron Chest
		["虛空之翼蛋(虛空之翼岩架)"] = 185915, -- Netherwing Egg
		["永霜屑片"] = 193997, -- Everfrost Chip
		["深色土壤"] = 210565, -- Dark Soil
		["食人妖考古學文物"] = 202655, -- Troll Archaeology Find
		["夜精靈考古學文物"] = 203071, -- Night Elf Archaeology Find
		["奈幽考古學文物"] = 203078, -- Nerubian Archaeology Find
		["矮人考古學文物"] = 204282, -- Dwarf Archaeology Find
		["石化的考古學文物"] = 206836, -- Fossil Archaeology Find
		["獸人考古學文物"] = 207187, -- Orc Archaeology Find
		["德萊尼考古學文物"] = 207188, -- Draenei Archaeology Find
		["維酷考古學文物"] = 207189, -- Vrykul Archaeology Find
		["托維爾考古學文物"] = 207190, -- Tol'vir Archaeology Find
		["熊貓人考古學文物"] = 211163, -- Pandaren Archaeology Find
		["魔古考古學文物"] = 211174, -- Mogu Archaeology Find
		["螳螂人考古學文物"] = 218950, -- Mantid Archaeology Find


		-- Missing Node Names
		["Silverbound Treasure Chest"] = 207472,
		["Sturdy Treasure Chest"] = 207484,
		["Dark Iron Treasure Chest"] = 207498,
		["Silken Treasure Chest"] = 207512,
		["Maplewood Treasure Chest"] = 207529,
		["Runestone Treasure Chest"] = 207533,
		["Onyx Egg"] = 214945,
	}
end

Gatherer.Nodes.Objects = {
	[324] = "MINE", -- Small Thorium Vein
	[1610] = "MINE", -- Incendicite Mineral Vein
	[1731] = "MINE", -- Copper Vein
	[1732] = "MINE", -- Tin Vein
	[1733] = "MINE", -- Silver Vein
	[1734] = "MINE", -- Gold Vein
	[1735] = "MINE", -- Iron Deposit
	[2040] = "MINE", -- Mithril Deposit
	[2047] = "MINE", -- Truesilver Deposit
	[2653] = "MINE", -- Lesser Bloodstone Deposit
	[19903] = "MINE", -- Indurium Mineral Vein
	[73940] = "MINE", -- Ooze Covered Silver Vein
	[73941] = "MINE", -- Ooze Covered Gold Vein
	[123309] = "MINE", -- Ooze Covered Truesilver Deposit
	[123310] = "MINE", -- Ooze Covered Mithril Deposit
	[123848] = "MINE", -- Ooze Covered Thorium Vein
	[165658] = "MINE", -- Dark Iron Deposit
	[175404] = "MINE", -- Rich Thorium Vein
	[177388] = "MINE", -- Ooze Covered Rich Thorium Vein
	[180215] = "MINE", -- Hakkari Thorium Vein
	[181555] = "MINE", -- Fel Iron Deposit
	[181556] = "MINE", -- Adamantite Deposit
	[181557] = "MINE", -- Khorium Vein
	[181569] = "MINE", -- Rich Adamantite Deposit
	[185877] = "MINE", -- Nethercite Deposit
	[189978] = "MINE", -- Cobalt Deposit
	[189979] = "MINE", -- Rich Cobalt Deposit
	[189980] = "MINE", -- Saronite Deposit
	[189981] = "MINE", -- Rich Saronite Deposit
	[191133] = "MINE", -- Titanium Vein
	[202736] = "MINE", -- Obsidium Deposit
	[202737] = "MINE", -- Pyrite Deposit
	[202738] = "MINE", -- Elementium Vein
	[202739] = "MINE", -- Rich Obsidium Deposit
	[202740] = "MINE", -- Rich Pyrite Deposit
	[202741] = "MINE", -- Rich Elementium Vein
	[209311] = "MINE", -- Ghost Iron Deposit
	[209312] = "MINE", -- Kyparite Deposit
	[209313] = "MINE", -- Trillium Vein
	[209328] = "MINE", -- Rich Ghost Iron Deposit
	[209329] = "MINE", -- Rich Kyparite Deposit
	[209330] = "MINE", -- Rich Trillium Vein
	[1617] = "HERB", -- Silverleaf
	[1618] = "HERB", -- Peacebloom
	[1619] = "HERB", -- Earthroot
	[1620] = "HERB", -- Mageroyal
	[1621] = "HERB", -- Briarthorn
	[1622] = "HERB", -- Bruiseweed
	[1623] = "HERB", -- Wild Steelbloom
	[1624] = "HERB", -- Kingsblood
	[1628] = "HERB", -- Grave Moss
	[2041] = "HERB", -- Liferoot
	[2042] = "HERB", -- Fadeleaf
	[2043] = "HERB", -- Khadgar's Whisker
	[2044] = "HERB", -- Dragon's Teeth
	[2045] = "HERB", -- Stranglekelp
	[2046] = "HERB", -- Goldthorn
	[2866] = "HERB", -- Firebloom
	[142140] = "HERB", -- Purple Lotus
	[142141] = "HERB", -- Arthas' Tears
	[142142] = "HERB", -- Sungrass
	[142143] = "HERB", -- Blindweed
	[142144] = "HERB", -- Ghost Mushroom
	[142145] = "HERB", -- Gromsblood
	[176583] = "HERB", -- Golden Sansam
	[176584] = "HERB", -- Dreamfoil
	[176586] = "HERB", -- Mountain Silversage
	[176587] = "HERB", -- Sorrowmoss
	[176588] = "HERB", -- Icecap
	[176589] = "HERB", -- Black Lotus
	[181166] = "HERB", -- Bloodthistle
	[181270] = "HERB", -- Felweed
	[181271] = "HERB", -- Dreaming Glory
	[181275] = "HERB", -- Ragveil
	[181276] = "HERB", -- Flame Cap
	[181277] = "HERB", -- Terocone
	[181278] = "HERB", -- Ancient Lichen
	[181279] = "HERB", -- Netherbloom
	[181280] = "HERB", -- Nightmare Vine
	[181281] = "HERB", -- Mana Thistle
	[185881] = "HERB", -- Netherdust Bush
	[189973] = "HERB", -- Goldclover
	[190169] = "HERB", -- Tiger Lily
	[190170] = "HERB", -- Talandra's Rose
	[190171] = "HERB", -- Lichbloom
	[190172] = "HERB", -- Icethorn
	[190175] = "HERB", -- Frozen Herb
	[190176] = "HERB", -- Frost Lotus
	[191019] = "HERB", -- Adder's Tongue
	[191303] = "HERB", -- Firethorn
	[202747] = "HERB", -- Cinderbloom
	[202748] = "HERB", -- Stormvine
	[202749] = "HERB", -- Azshara's Veil
	[202750] = "HERB", -- Heartblossom
	[202751] = "HERB", -- Twilight Jasmine
	[202752] = "HERB", -- Whiptail
	[209349] = "HERB", -- Green Tea Leaf
	[209350] = "HERB", -- Silkweed
	[209351] = "HERB", -- Snow Lily
	[209353] = "HERB", -- Rain Poppy
	[209354] = "HERB", -- Golden Lotus
	[209355] = "HERB", -- Fool's Cap
	[214510] = "HERB", -- Sha-Touched Herb
	[2039] = "OPEN", -- Hidden Strongbox
	[2744] = "OPEN", -- Giant Clam
	[2843] = "OPEN", -- Battered Chest
	[2844] = "OPEN", -- Tattered Chest
	[2850] = "OPEN", -- Solid Chest
	[3658] = "OPEN", -- Water Barrel
	[3659] = "OPEN", -- Barrel of Melon Juice
	[3660] = "OPEN", -- Armor Crate
	[3661] = "OPEN", -- Weapon Crate
	[3662] = "OPEN", -- Food Crate
	[3705] = "OPEN", -- Barrel of Milk
	[3706] = "OPEN", -- Barrel of Sweet Nectar
	[3714] = "OPEN", -- Alliance Strongbox
	[19019] = "OPEN", -- Box of Assorted Parts
	[28604] = "OPEN", -- Scattered Crate
	[74447] = "OPEN", -- Large Iron Bound Chest
	[74448] = "OPEN", -- Large Solid Chest
	[75293] = "OPEN", -- Large Battered Chest
	[123330] = "OPEN", -- Buccaneer's Strongbox
	[131978] = "OPEN", -- Large Mithril Bound Chest
	[131979] = "OPEN", -- Large Darkwood Chest
	[142191] = "OPEN", -- Horde Supply Crate
	[157936] = "OPEN", -- Un'Goro Dirt Pile
	[164658] = "OPEN", -- Blue Power Crystal
	[164659] = "OPEN", -- Green Power Crystal
	[164660] = "OPEN", -- Red Power Crystal
	[164661] = "OPEN", -- Yellow Power Crystal
	[164881] = "OPEN", -- Cleansed Night Dragon
	[164882] = "OPEN", -- Cleansed Songflower
	[164884] = "OPEN", -- Cleansed Windblossom
	[164958] = "OPEN", -- Bloodpetal Sprout
	[174622] = "OPEN", -- Cleansed Whipper Root
	[176213] = "OPEN", -- Blood of Heroes
	[176582] = "OPEN", -- Shellfish Trap
	[178244] = "OPEN", -- Practice Lockbox
	[179486] = "OPEN", -- Battered Footlocker
	[179487] = "OPEN", -- Waterlogged Footlocker
	[179492] = "OPEN", -- Dented Footlocker
	[179493] = "OPEN", -- Mossy Footlocker
	[179498] = "OPEN", -- Scarlet Footlocker
	[181665] = "OPEN", -- Burial Chest
	[181798] = "OPEN", -- Fel Iron Chest
	[181800] = "OPEN", -- Heavy Fel Iron Chest
	[181802] = "OPEN", -- Adamantite Bound Chest
	[181804] = "OPEN", -- Felsteel Chest
	[182053] = "OPEN", -- Glowcap
	[184740] = "OPEN", -- Wicker Chest
	[184793] = "OPEN", -- Primitive Chest
	[184930] = "OPEN", -- Solid Fel Iron Chest
	[184931] = "OPEN", -- Bound Fel Iron Chest
	[184936] = "OPEN", -- Bound Adamantite Chest
	[185915] = "OPEN", -- Netherwing Egg
	[193997] = "OPEN", -- Everfrost Chip
	[207472] = "OPEN", -- Silverbound Treasure Chest
	[207484] = "OPEN", -- Sturdy Treasure Chest
	[207498] = "OPEN", -- Dark Iron Treasure Chest
	[207512] = "OPEN", -- Silken Treasure Chest
	[207529] = "OPEN", -- Maplewood Treasure Chest
	[207533] = "OPEN", -- Runestone Treasure Chest
	[210565] = "OPEN", -- Dark Soil
	[211454] = "OPEN", -- Kafa'kota Bush
	[214945] = "OPEN", -- Onyx Egg
	[202655] = "ARCH", -- Troll Archaeology Find
	[203071] = "ARCH", -- Night Elf Archaeology Find
	[203078] = "ARCH", -- Nerubian Archaeology Find
	[204282] = "ARCH", -- Dwarf Archaeology Find
	[206836] = "ARCH", -- Fossil Archaeology Find
	[207187] = "ARCH", -- Orc Archaeology Find
	[207188] = "ARCH", -- Draenei Archaeology Find
	[207189] = "ARCH", -- Vrykul Archaeology Find
	[207190] = "ARCH", -- Tol'vir Archaeology Find
	[211163] = "ARCH", -- Pandaren Archaeology Find
	[211174] = "ARCH", -- Mogu Archaeology Find
	[218950] = "ARCH", -- Mantid Archaeology Find
}

Gatherer.Nodes.PrimaryItems = {
	[189978] = 36909, -- Cobalt Deposit
	[189979] = 36909, -- Rich Cobalt Deposit
	[189980] = 36912, -- Saronite Deposit
	[189981] = 36912, -- Rich Saronite Deposit
	[191133] = 36910, -- Titanium Vein
	[202736] = 53038, -- Obsidium Deposit
	[202737] = 52183, -- Pyrite Deposit
	[202738] = 52185, -- Elementium Vein
	[202739] = 53038, -- Rich Obsidium Deposit
	[202740] = 52183, -- Rich Pyrite Deposit
	[202741] = 52185, -- Rich Elementium Vein
	[209311] = 72092, -- Ghost Iron Deposit
	[209312] = 72093, -- Kyparite Deposit
	[209328] = 72092, -- Rich Ghost Iron Deposit
	[209329] = 72093, -- Rich Kyparite Deposit
	[189973] = 36901, -- Goldclover
	[190169] = 36904, -- Tiger Lily
	[190170] = 36907, -- Talandra's Rose
	[190171] = 36905, -- Lichbloom
	[190172] = 36906, -- Icethorn
	[190176] = 36908, -- Frost Lotus
	[191019] = 36903, -- Adder's Tongue
	[202747] = 52983, -- Cinderbloom
	[202748] = 52984, -- Stormvine
	[202749] = 52985, -- Azshara's Veil
	[202750] = 52986, -- Heartblossom
	[202751] = 52987, -- Twilight Jasmine
	[202752] = 52988, -- Whiptail
	[209349] = 72234, -- Green Tea Leaf
	[209350] = 72235, -- Silkweed
	[209351] = 79010, -- Snow Lily
	[209353] = 72237, -- Rain Poppy
	[209354] = 72238, -- Golden Lotus
	[209355] = 79011, -- Fool's Cap
	[193997] = 44724, -- Everfrost Chip
	[214945] = 89155, -- Onyx Egg
}
